package com.softslate.commerce.administrator.core;

import java.util.Properties;

import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.AppUtils;

/**
 * @author David Tobey
 * 
 */
public class SettingsActionEmailMarketingServices extends SettingsAction {

	static Log log = LogFactory.getLog(SettingsActionEmailMarketingServices.class);

	public ActionForward execute(ActionMapping mapping, ActionForm form, HttpServletRequest request,
			HttpServletResponse response) throws Exception {
		if (log.isDebugEnabled())
			log.debug("Starting action.");
		String emailerProcessorImplementer = request.getParameter("emailerProcessorImplementer");
		if (log.isDebugEnabled())
			log.debug("emailerProcessorImplementer." + emailerProcessorImplementer);
		synchronized (getServlet().getServletContext()) {
			Properties appComponents = (Properties) getServlet().getServletContext().getAttribute("appComponents");
			Properties appSettings = (Properties) getServlet().getServletContext().getAttribute("appSettings");
			if (appSettings == null || appSettings.getProperty("disableComponentUpdatesFromAdministrator") == null
					|| appSettings.getProperty("disableComponentUpdatesFromAdministrator").equals("0")) {
				Properties customComponents = AppUtils.loadProperties("/appComponents-custom.properties",
						(Properties) null);
				if (!appComponents.getProperty("emailerProcessorImplementer").equals(emailerProcessorImplementer)) {
					if (log.isDebugEnabled())
						log.debug("Changing component emailerProcessorImplementer to: " + emailerProcessorImplementer);
					appComponents.setProperty("emailerProcessorImplementer", emailerProcessorImplementer);
					customComponents.setProperty("emailerProcessorImplementer", emailerProcessorImplementer);
					saveComponents(customComponents);
					getServlet().getServletContext().setAttribute("appComponents", appComponents);
				}
			}
		}
		ActionMessages messages = new ActionMessages();
		messages.add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("messages.settingsMessage"));
		saveMessages(request, messages);
		return mapping.findForward("success");
	}
}
