package com.softslate.commerce.administrator.core;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

/**
 * @author David Tobey
 * 
 */
public class SettingsFormAddress extends BaseAdministratorForm {
	private static final long serialVersionUID = 3832620686006040628L;

	static Log log = LogFactory.getLog(SettingsFormAddress.class);

	private String[] billingPrompt = {};

	private String[] billingRequired = {};

	private String[] billingValidated = {};

	public String[] getBillingPrompt() {
		return billingPrompt;
	}

	public String[] getBillingRequired() {
		return billingRequired;
	}

	public String[] getBillingValidated() {
		return billingValidated;
	}

	public void setBillingPrompt(String[] string) {
		billingPrompt = string;
	}

	public void setBillingRequired(String[] string) {
		billingRequired = string;
	}

	public void setBillingValidated(String[] string) {
		billingValidated = string;
	}

	private String[] deliveryPrompt = {};

	private String[] deliveryRequired = {};

	private String[] deliveryValidated = {};

	public String[] getDeliveryPrompt() {
		return deliveryPrompt;
	}

	public String[] getDeliveryRequired() {
		return deliveryRequired;
	}

	public String[] getDeliveryValidated() {
		return deliveryValidated;
	}

	public void setDeliveryPrompt(String[] string) {
		deliveryPrompt = string;
	}

	public void setDeliveryRequired(String[] string) {
		deliveryRequired = string;
	}

	public void setDeliveryValidated(String[] string) {
		deliveryValidated = string;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		// Check that required fields are also prompted.
		for (int i = 0; i < getBillingRequired().length; i++) {
			boolean prompted = false;
			for (int j = 0; j < getBillingPrompt().length; j++) {
				if (getBillingRequired()[i].equals(getBillingPrompt()[j])) {
					prompted = true;
				}
			}
			if (!prompted) {
				String key = "administrator." + getBillingRequired()[i];
				String message = getMessage("administrator/administrator", key,
						null);
				getErrors().add(
						ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("errors.requiredButNotPrompted",
								message));
			}
		}
		for (int i = 0; i < getDeliveryRequired().length; i++) {
			boolean prompted = false;
			for (int j = 0; j < getDeliveryPrompt().length; j++) {
				if (getDeliveryRequired()[i].equals(getDeliveryPrompt()[j])) {
					prompted = true;
				}
			}
			if (!prompted) {
				String key = "administrator." + getDeliveryRequired()[i];
				String message = getMessage("administrator/administrator", key,
						null);
				getErrors().add(
						ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("errors.requiredButNotPrompted",
								message));
			}
		}
		return getErrors();
	}

}
