package com.softslate.commerce.administrator.order;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;

/**
 * Struts form class corresponding to requests to "/administrator/OrderDiscountAddForm.do",
 * "/administrator/OrderDiscountEditForm.do", "/administrator/OrderDiscountAdd.do", and
 * "/administrator/OrderDiscountEdit.do".
 * 
 * @author David Tobey
 * 
 */
public class OrderDiscountAddEditForm extends BaseAdministratorForm {

	private static final long serialVersionUID = 950945137421104956L;

	static Log log = LogFactory.getLog(OrderDiscountAddEditForm.class);

	private String parentName = null;

	private String grandparentName = null;

	private String greatGrandparentName = null;

	private String orderDiscountID = null;

	private String orderItemID = null;

	private String orderDeliveryID = null;

	private String orderID = null;

	private String total = "0.00";

	private String discountID = null;

	private String code = null;

	private String name = null;

	private String usersAppliesType = null;

	private String usersAppliesValue = null;

	private String itemsAppliesType = null;

	private String itemsAppliesValue = null;

	private String cartItemsType = "[global]";

	private String cartItemsValue = null;

	private String rewardType = null;

	private String reward = "0.00";

	private String couponCode = null;

	private String floor = null;

	private String ceiling = null;

	private String extra1 = null;

	private String extra2 = null;

	private String extra3 = null;

	public String getDiscountID() {
		return discountID;
	}

	public void setDiscountID(String discountID) {
		this.discountID = discountID;
	}

	public String getOrderDeliveryID() {
		return orderDeliveryID;
	}

	public void setOrderDeliveryID(String orderDeliveryID) {
		this.orderDeliveryID = orderDeliveryID;
	}

	public String getCeiling() {
		return ceiling;
	}

	public void setCeiling(String ceiling) {
		this.ceiling = ceiling;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getCouponCode() {
		return couponCode;
	}

	public void setCouponCode(String couponCode) {
		this.couponCode = couponCode;
	}

	public String getExtra1() {
		return extra1;
	}

	public void setExtra1(String extra1) {
		this.extra1 = extra1;
	}

	public String getExtra2() {
		return extra2;
	}

	public void setExtra2(String extra2) {
		this.extra2 = extra2;
	}

	public String getExtra3() {
		return extra3;
	}

	public void setExtra3(String extra3) {
		this.extra3 = extra3;
	}

	public String getFloor() {
		return floor;
	}

	public void setFloor(String floor) {
		this.floor = floor;
	}

	public String getItemsAppliesType() {
		return itemsAppliesType;
	}

	public void setItemsAppliesType(String itemsAppliesType) {
		this.itemsAppliesType = itemsAppliesType;
	}

	public String getItemsAppliesValue() {
		return itemsAppliesValue;
	}

	public void setItemsAppliesValue(String itemsAppliesValue) {
		this.itemsAppliesValue = itemsAppliesValue;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getCartItemsType() {
		return cartItemsType;
	}

	public void setCartItemsType(String cartItemsType) {
		this.cartItemsType = cartItemsType;
	}

	public String getCartItemsValue() {
		return cartItemsValue;
	}

	public void setCartItemsValue(String cartItemsValue) {
		this.cartItemsValue = cartItemsValue;
	}

	public String getReward() {
		return reward;
	}

	public void setReward(String reward) {
		this.reward = reward;
	}

	public String getRewardType() {
		return rewardType;
	}

	public void setRewardType(String rewardType) {
		this.rewardType = rewardType;
	}

	public String getUsersAppliesType() {
		return usersAppliesType;
	}

	public void setUsersAppliesType(String usersAppliesType) {
		this.usersAppliesType = usersAppliesType;
	}

	public String getUsersAppliesValue() {
		return usersAppliesValue;
	}

	public void setUsersAppliesValue(String usersAppliesValue) {
		this.usersAppliesValue = usersAppliesValue;
	}

	public String getGrandparentName() {
		return grandparentName;
	}

	public void setGrandparentName(String grandparentName) {
		this.grandparentName = grandparentName;
	}

	public String getGreatGrandparentName() {
		return greatGrandparentName;
	}

	public void setGreatGrandparentName(String greatGrandparentName) {
		this.greatGrandparentName = greatGrandparentName;
	}

	public String getOrderID() {
		return orderID;
	}

	public void setOrderID(String orderID) {
		this.orderID = orderID;
	}

	public String getTotal() {
		return total;
	}

	public void setTotal(String total) {
		this.total = total;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public String getOrderDiscountID() {
		return orderDiscountID;
	}

	public void setOrderDiscountID(String orderDiscountID) {
		this.orderDiscountID = orderDiscountID;
	}

	public String getOrderItemID() {
		return orderItemID;
	}

	public void setOrderItemID(String orderItemID) {
		this.orderItemID = orderItemID;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (getCode() == null || getCode().equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Code"));
		}
		return getErrors();
	}
}
