package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang.StringUtils;
import org.apache.commons.lang3.StringEscapeUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseAdministratorForm;

/**
 * Struts form class corresponding to requests to
 * "/administrator/DiscountAddForm.do", "/administrator/DiscountEditForm.do",
 * "/administrator/DiscountAdd.do", and "/administrator/DiscountEdit.do".
 * Provides properties corresponding to the fields for a single discount record.
 * 
 * @author David Tobey
 */
public class DiscountAddEditForm extends BaseAdministratorForm {

	private static final long serialVersionUID = -6496251272556238372L;

	static Log log = LogFactory.getLog(DiscountAddEditForm.class);

	private String parentName = null;

	private String discountID = null;

	private String productID = null;

	private String skuID = null;

	private String code = null;

	private String name = null;

	private String description = null;

	private String isActive = "true";

	private String usersAppliesType = "[allUsers]";

	private String usersAppliesValue = null;

	private String usersUserNames = null;

	private String usersStatuses = null;

	private String usersOrderTotal = null;

	private String itemsAppliesType = "[global]";

	private String itemsAppliesValue = null;

	private String cartItemsType = "[noItemsRequired]";

	private String cartItemsValue = null;

	private String cartItemsAny = null;

	private String cartItemsAll = null;

	private String rewardType = "[percentage]";

	private String reward = null;

	private String rewardAmount = null;

	private String rewardPercentage = null;

	private String rewardItemsForFree = null;

	private String couponCode = null;

	private String startDate = null;

	private String startDateYear = "";

	private String startDateMonth = "";

	private String startDateDay = "";

	private String startDateHour = "";

	private String startDateMinute = "";

	private String expirationDate = null;

	private String expirationDateYear = "";

	private String expirationDateMonth = "";

	private String expirationDateDay = "";

	private String expirationDateHour = "";

	private String expirationDateMinute = "";

	private String timesOption = null;

	private String timesUsed = "0";

	private String maxTimesUsed = "0";

	private String isTimesPerCustomer = "false";

	private String orderItemID = null;

	private String discountOrder = "0";

	private String extra1 = null;

	private String extra2 = null;

	private String extra3 = null;

	public String getCouponCode() {
		return couponCode;
	}

	public void setCouponCode(String couponCode) {
		this.couponCode = couponCode;
	}

	public String getDescription() {
		return description;
	}

	public void setDescription(String description) {
		this.description = description;
	}

	public String getDiscountOrder() {
		return discountOrder;
	}

	public void setDiscountOrder(String discountOrder) {
		this.discountOrder = discountOrder;
	}

	public String getExpirationDate() {
		return expirationDate;
	}

	public void setExpirationDate(String expirationDate) {
		this.expirationDate = expirationDate;
	}

	public String getIsActive() {
		return isActive;
	}

	public void setIsActive(String isActive) {
		this.isActive = isActive;
	}

	public String getIsTimesPerCustomer() {
		return isTimesPerCustomer;
	}

	public void setIsTimesPerCustomer(String isTimesPerCustomer) {
		this.isTimesPerCustomer = isTimesPerCustomer;
	}

	public String getMaxTimesUsed() {
		return maxTimesUsed;
	}

	public void setMaxTimesUsed(String maxTimesUsed) {
		this.maxTimesUsed = maxTimesUsed;
	}

	public String getCartItemsType() {
		return cartItemsType;
	}

	public void setCartItemsType(String cartItemsType) {
		this.cartItemsType = cartItemsType;
	}

	public String getCartItemsValue() {
		return cartItemsValue;
	}

	public void setCartItemsValue(String cartItemsValue) {
		this.cartItemsValue = cartItemsValue;
	}

	public String getCartItemsAny() {
		return cartItemsAny;
	}

	public void setCartItemsAny(String cartItemsAny) {
		this.cartItemsAny = cartItemsAny;
	}

	public String getCartItemsAll() {
		return cartItemsAll;
	}

	public void setCartItemsAll(String cartItemsAll) {
		this.cartItemsAll = cartItemsAll;
	}

	public String getReward() {
		return reward;
	}

	public void setReward(String reward) {
		this.reward = reward;
	}

	public String getRewardType() {
		return rewardType;
	}

	public void setRewardType(String rewardType) {
		this.rewardType = rewardType;
	}

	public String getStartDate() {
		return startDate;
	}

	public void setStartDate(String startDate) {
		this.startDate = startDate;
	}

	public String getTimesUsed() {
		return timesUsed;
	}

	public void setTimesUsed(String timesUsed) {
		this.timesUsed = timesUsed;
	}

	public String getProductID() {
		return productID;
	}

	public void setProductID(String productID) {
		this.productID = productID;
	}

	public String getSkuID() {
		return skuID;
	}

	public void setSkuID(String skuID) {
		this.skuID = skuID;
	}

	public String getParentName() {
		return parentName;
	}

	public void setParentName(String parentName) {
		this.parentName = parentName;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getDiscountID() {
		return discountID;
	}

	public void setDiscountID(String discountID) {
		this.discountID = discountID;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getExtra1() {
		return extra1;
	}

	public void setExtra1(String extra1) {
		this.extra1 = extra1;
	}

	public String getExtra2() {
		return extra2;
	}

	public void setExtra2(String extra2) {
		this.extra2 = extra2;
	}

	public String getExtra3() {
		return extra3;
	}

	public void setExtra3(String extra3) {
		this.extra3 = extra3;
	}

	public String getTimesOption() {
		return timesOption;
	}

	public void setTimesOption(String timesOption) {
		this.timesOption = timesOption;
	}

	public String getItemsAppliesType() {
		return itemsAppliesType;
	}

	public void setItemsAppliesType(String itemsAppliesType) {
		this.itemsAppliesType = itemsAppliesType;
	}

	public String getItemsAppliesValue() {
		return itemsAppliesValue;
	}

	public void setItemsAppliesValue(String itemsAppliesValue) {
		this.itemsAppliesValue = itemsAppliesValue;
	}

	public String getUsersAppliesType() {
		return usersAppliesType;
	}

	public void setUsersAppliesType(String usersAppliesType) {
		this.usersAppliesType = usersAppliesType;
	}

	public String getUsersAppliesValue() {
		return usersAppliesValue;
	}

	public void setUsersAppliesValue(String usersAppliesValue) {
		this.usersAppliesValue = usersAppliesValue;
	}

	public String getRewardAmount() {
		return rewardAmount;
	}

	public void setRewardAmount(String rewardAmount) {
		this.rewardAmount = rewardAmount;
	}

	public String getRewardPercentage() {
		return rewardPercentage;
	}

	public void setRewardPercentage(String rewardPercentage) {
		this.rewardPercentage = rewardPercentage;
	}

	public String getRewardItemsForFree() {
		return rewardItemsForFree;
	}

	public void setRewardItemsForFree(String rewardItemsForFree) {
		this.rewardItemsForFree = rewardItemsForFree;
	}

	public String getUsersOrderTotal() {
		return usersOrderTotal;
	}

	public void setUsersOrderTotal(String usersOrderTotal) {
		this.usersOrderTotal = usersOrderTotal;
	}

	public String getUsersStatuses() {
		return usersStatuses;
	}

	public void setUsersStatuses(String usersStatuses) {
		this.usersStatuses = usersStatuses;
	}

	public String getUsersUserNames() {
		return usersUserNames;
	}

	public void setUsersUserNames(String usersUserNames) {
		this.usersUserNames = usersUserNames;
	}

	public String getExpirationDateHour() {
		return expirationDateHour;
	}

	public void setExpirationDateHour(String expirationDateHour) {
		this.expirationDateHour = expirationDateHour;
	}

	public String getExpirationDateMinute() {
		return expirationDateMinute;
	}

	public void setExpirationDateMinute(String expirationDateMinute) {
		this.expirationDateMinute = expirationDateMinute;
	}

	public String getExpirationDateMonth() {
		return expirationDateMonth;
	}

	public void setExpirationDateMonth(String expirationDateMonth) {
		this.expirationDateMonth = expirationDateMonth;
	}

	public String getExpirationDateYear() {
		return expirationDateYear;
	}

	public void setExpirationDateYear(String expirationDateYear) {
		this.expirationDateYear = expirationDateYear;
	}

	public String getStartDateHour() {
		return startDateHour;
	}

	public void setStartDateHour(String startDateHour) {
		this.startDateHour = startDateHour;
	}

	public String getStartDateMinute() {
		return startDateMinute;
	}

	public void setStartDateMinute(String startDateMinute) {
		this.startDateMinute = startDateMinute;
	}

	public String getStartDateMonth() {
		return startDateMonth;
	}

	public void setStartDateMonth(String startDateMonth) {
		this.startDateMonth = startDateMonth;
	}

	public String getStartDateYear() {
		return startDateYear;
	}

	public void setStartDateYear(String startDateYear) {
		this.startDateYear = startDateYear;
	}

	public String getExpirationDateDay() {
		return expirationDateDay;
	}

	public void setExpirationDateDay(String expirationDateDay) {
		this.expirationDateDay = expirationDateDay;
	}

	public String getStartDateDay() {
		return startDateDay;
	}

	public void setStartDateDay(String startDateDay) {
		this.startDateDay = startDateDay;
	}

	public String getOrderItemID() {
		return orderItemID;
	}

	public void setOrderItemID(String orderItemID) {
		this.orderItemID = orderItemID;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (getSkuID() == null || getSkuID().equals("")) {
			setSkuID(null);
		}
		if (getCode() != null && !getCode().equals("")
				&& containsUnsafeCharacter(getCode(), request) != null) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.unsafeCharacter", "The code "
							+ StringEscapeUtils.escapeXml11(getCode()), containsUnsafeCharacter(getCode(),
							request)));
		}
		if (getCouponCode() != null && !getCouponCode().equals("")
				&& containsUnsafeCharacter(getCouponCode(), request) != null) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.unsafeCharacter",
							"The coupon code " + StringEscapeUtils.escapeXml11(getCouponCode()),
							containsUnsafeCharacter(getCouponCode(), request)));
		}
		if (!addingNewRecord() && StringUtils.isEmpty(getDiscountID()) && StringUtils.isEmpty(getCode())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "discountID or code"));
		}
		if (addingAndFieldIsBlank(getName()) || editingAndFieldIsBeingEmptiedOut(getName())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Name"));
		}
		if (addingAndFieldIsBlank(getItemsAppliesType()) || editingAndFieldIsBeingEmptiedOut(getItemsAppliesType())) {
			getErrors()
					.add(ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required",
									"Items Applies Option"));
		} else if (getItemsAppliesType().equals("[giftCertificate]")) {
			if (getCouponCode() == null || getCouponCode().equals("")) {
				getErrors().add(
						ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("errors.required",
								"For gift certificates, a coupon/gift "
										+ "certificate code"));
			}
			if (getRewardType() != null && !getRewardType().equals("")
					&& !getRewardType().equals("[amount]")) {
				getErrors().add(
						ActionMessages.GLOBAL_MESSAGE,
						new ActionMessage("errors.detail",
								"For gift certificates, the reward type "
										+ "must be 'Amount off'"));
			}

		}
		if (addingAndFieldIsBlank(getUsersAppliesType()) || editingAndFieldIsBeingEmptiedOut(getUsersAppliesType())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Users Applies Option"));
		} else if (StringUtils.isBlank(getUsersAppliesValue())) {
			if (getUsersAppliesType().equals("[userNames]")) {
				if (getUsersUserNames() == null || getUsersUserNames().equals("")) {
					getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "User Names"));
				} else {
					setUsersAppliesValue(getUsersUserNames());
				}
			} else if (getUsersAppliesType().equals("[customerStatuses]")) {
				if (getUsersStatuses() == null || getUsersStatuses().equals("")) {
					getErrors().add(ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required", "Customer Statuses"));
				} else {
					setUsersAppliesValue(getUsersStatuses());
				}
			} else if (getUsersAppliesType().equals("[previousOrderTotal]")) {
				if (getUsersOrderTotal() == null || getUsersOrderTotal().equals("")) {
					getErrors().add(ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required", "Customer Order Total"));
				} else {
					setUsersAppliesValue(getUsersOrderTotal());
				}
			}
		}
		if (addingAndFieldIsBlank(getCartItemsType()) || editingAndFieldIsBeingEmptiedOut(getCartItemsType())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Cart Items Required Option"));
		} else if (StringUtils.isBlank(getCartItemsValue())) {
			if (getCartItemsType().equals("[anyOneItem]")) {
				if (getCartItemsAny() == null || getCartItemsAny().equals("")) {
					getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Cart Items"));
				} else {
					setCartItemsValue(getCartItemsAny());
				}
			} else if (getCartItemsType().equals("[allItems]")) {
				if (getCartItemsAll() == null || getCartItemsAll().equals("")) {
					getErrors().add(ActionMessages.GLOBAL_MESSAGE, new ActionMessage("errors.required", "Cart Items"));
				} else {
					setCartItemsValue(getCartItemsAll());
				}
			}
		}
		if (addingAndFieldIsBlank(getRewardType()) || editingAndFieldIsBeingEmptiedOut(getRewardType())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Reward Option"));
		} else if (getReward() == null || getReward().equals("")) {
			if (getRewardType().equals("[amount]")) {
				if (addingAndFieldIsBlank(getRewardAmount()) || editingAndFieldIsBeingEmptiedOut(getRewardAmount())) {
					getErrors().add(
							ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required",
									"Reward Amount"));
				} else {
					setReward(getRewardAmount());
				}
			} else if (getRewardType().equals("[percentage]")) {
				if (addingAndFieldIsBlank(getRewardPercentage())
						|| editingAndFieldIsBeingEmptiedOut(getRewardPercentage())) {
					getErrors().add(
							ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required",
									"Reward Percentage"));
				} else {
					setReward(getRewardPercentage());
				}
			} else if (getRewardType().equals("[itemsForFree]")) {
				if (getItemsAppliesType() != null
						&& !getItemsAppliesType().equals("[skus]")) {
					getErrors()
							.add(ActionMessages.GLOBAL_MESSAGE,
									new ActionMessage("errors.detail",
											"Discount must be a SKU discount when reward is a number of items for free."));
				} else {
					if (addingAndFieldIsBlank(getRewardItemsForFree())
							|| editingAndFieldIsBeingEmptiedOut(getRewardItemsForFree())) {
						getErrors().add(
								ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required",
										"Number of items for free"));
					} else {
						setReward(getRewardItemsForFree());
					}
				}
			}
		}
		if (addingAndFieldIsBlank(getIsTimesPerCustomer()) || editingAndFieldIsBeingEmptiedOut(getIsTimesPerCustomer())) {
			getErrors()
					.add(ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required",
									"Times Per Customer?"));
		} else if (getIsTimesPerCustomer().equals("true")
				&& getUsersAppliesType().equals("[allUsers]")) {
			getErrors()
					.add(ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage(
									"errors.detail",
									"If the number of times used is per customer, the discount cannot apply to all users."));
		}
		if (addingAndFieldIsBlank(getDiscountOrder()) || editingAndFieldIsBeingEmptiedOut(getDiscountOrder())) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "Discount Order"));
		}
		if (StringUtils.isBlank(getStartDate()) && getStartDateYear().length() == 4
				&& getStartDateHour().length() == 2
				&& getStartDateDay().length() == 2
				&& getStartDateHour().length() == 2
				&& getStartDateMinute().length() == 2) {
			setStartDate(getStartDateYear() + "-" + getStartDateMonth() + "-"
					+ getStartDateDay() + " " + getStartDateHour() + ":"
					+ getStartDateMinute() + ":00:000");
		}
		if (StringUtils.isBlank(getExpirationDate()) && getExpirationDateYear().length() == 4
				&& getExpirationDateHour().length() == 2
				&& getExpirationDateDay().length() == 2
				&& getExpirationDateHour().length() == 2
				&& getExpirationDateMinute().length() == 2) {
			setExpirationDate(getExpirationDateYear() + "-"
					+ getExpirationDateMonth() + "-" + getExpirationDateDay()
					+ " " + getExpirationDateHour() + ":"
					+ getExpirationDateMinute() + ":00:000");
		}
		return getErrors();
	}

	public void splitValues() {
		if (getUsersAppliesType() == null) {
		} else if (getUsersAppliesType().equals("[userNames]")) {
			setUsersUserNames(getUsersAppliesValue());
		} else if (getUsersAppliesType().equals("[customerStatuses]")) {
			setUsersStatuses(getUsersAppliesValue());
		} else if (getUsersAppliesType().equals("[previousOrderTotal]")) {
			setUsersOrderTotal(getUsersAppliesValue());
		}
		if (getCartItemsType() == null) {
		} else if (getCartItemsType().equals("[anyOneItem]")) {
			setCartItemsAny(getCartItemsValue());
		} else if (getCartItemsType().equals("[allItems]")) {
			setCartItemsAll(getCartItemsValue());
		}
		if (getRewardType() == null) {
		} else if (getRewardType().equals("[amount]")) {
			setRewardAmount(getReward());
		} else if (getRewardType().equals("[percentage]")) {
			setRewardPercentage(getReward());
		} else if (getRewardType().equals("[itemsForFree]")) {
			setRewardItemsForFree(getReward());
		}
		if (getStartDate() != null && getStartDate().length() == 23) {
			setStartDateYear(getStartDate().substring(0, 4));
			setStartDateMonth(getStartDate().substring(5, 7));
			setStartDateDay(getStartDate().substring(8, 10));
			setStartDateHour(getStartDate().substring(11, 13));
			setStartDateMinute(getStartDate().substring(14, 16));
		}
		if (getExpirationDate() != null && getExpirationDate().length() == 23) {
			setExpirationDateYear(getExpirationDate().substring(0, 4));
			setExpirationDateMonth(getExpirationDate().substring(5, 7));
			setExpirationDateDay(getExpirationDate().substring(8, 10));
			setExpirationDateHour(getExpirationDate().substring(11, 13));
			setExpirationDateMinute(getExpirationDate().substring(14, 16));
		}
	}
}
