package com.softslate.commerce.administrator.product;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.product.DiscountRange;

/**
 * Struts form class corresponding to requests to
 * "/administrator/DiscountRange.do". Provides properties to control searching,
 * viewing, editing, and deleting records in the <code>sscDiscountRange</code>
 * table.
 * 
 * @author David Tobey
 * 
 */
public class DiscountRangeForm extends BaseSerializableForm {

    private static final long serialVersionUID = -969626026851367722L;

    static Log log = LogFactory.getLog(DiscountRangeForm.class);

    private String idField = "discountRangeID";

    private String parentIDField = "discountID";

    private String nameField = "rewardType";

    private Class entity = DiscountRange.class;

	private String entityProperty = "discountRange";

    private String[] fields = { "discountRangeID", "rewardType", "reward",
            "floor", "ceiling", "isActive" };

    private String[] fieldLables = { "Range ID", "Reward Type",
            "Reward Amount", "Floor", "Ceiling", "Active?" };

    private String[] displayFields = { "rewardType", "reward", "floor",
            "ceiling", "isActive" };

    private String[] searchableIntFields = { "discountRangeID" };

    private String[] searchableFields = { "rewardType" };

    private String sortByString = "floor";

    private String[] cantSortByFields = {};

    private String sortAscOrDesc = "ASC";

    private String formAction = "/DiscountRange.do";

    private String addFormAction = "/DiscountRangeAddForm.do";

    private String editFormAction = "/DiscountRangeEditForm.do";

    private String editDeleteFormAction = "/DiscountRangeEditDelete.do";

    private String productID = "";

    private String skuID = "";

    private String discountID = "";

    private String[] discountRangeID = null;

    private String[] rewardType = null;

    private String[] reward = null;

    private String[] floor = null;

    private String[] ceiling = null;

    private String[] isActive = null;

    public String getEntityProperty() {
		return entityProperty;
	}

	public void setEntityProperty(String entityProperty) {
		this.entityProperty = entityProperty;
	}

	public String[] getCantSortByFields() {
        return cantSortByFields;
    }

    public void setCantSortByFields(String[] cantSortByFields) {
        this.cantSortByFields = cantSortByFields;
    }

    public String getIdField() {
        return idField;
    }

    public void setIdField(String idField) {
        this.idField = idField;
    }

    public String getParentIDField() {
        return parentIDField;
    }

    public void setParentIDField(String parentIDField) {
        this.parentIDField = parentIDField;
    }

    public String[] getFields() {
        return fields;
    }

    public void setFields(String[] fields) {
        this.fields = fields;
    }

    public String[] getFieldLables() {
        return fieldLables;
    }

    public void setFieldLables(String[] fieldLables) {
        this.fieldLables = fieldLables;
    }

    public String[] getDisplayFields() {
        return displayFields;
    }

    public void setDisplayFields(String[] displayFields) {
        this.displayFields = displayFields;
    }

    public String[] getSearchableFields() {
        return searchableFields;
    }

    public void setSearchableFields(String[] searchableFields) {
        this.searchableFields = searchableFields;
    }

    public String[] getSearchableIntFields() {
        return searchableIntFields;
    }

    public void setSearchableIntFields(String[] searchableIntFields) {
        this.searchableIntFields = searchableIntFields;
    }

    public String getSortByString() {
        return sortByString;
    }

    public void setSortByString(String sortByString) {
        this.sortByString = sortByString;
    }

    public String getSortAscOrDesc() {
        return sortAscOrDesc;
    }

    public void setSortAscOrDesc(String sortAscOrDesc) {
        this.sortAscOrDesc = sortAscOrDesc;
    }

    public String getFormAction() {
        return formAction;
    }

    public void setFormAction(String formAction) {
        this.formAction = formAction;
    }

    public String getAddFormAction() {
        return addFormAction;
    }

    public void setAddFormAction(String addFormAction) {
        this.addFormAction = addFormAction;
    }

    public String getEditFormAction() {
        return editFormAction;
    }

    public void setEditFormAction(String editFormAction) {
        this.editFormAction = editFormAction;
    }

    public String getEditDeleteFormAction() {
        return editDeleteFormAction;
    }

    public void setEditDeleteFormAction(String editDeleteFormAction) {
        this.editDeleteFormAction = editDeleteFormAction;
    }

    public Class getEntity() {
        return entity;
    }

    public void setEntity(Class entity) {
        this.entity = entity;
    }

    public String[] getCeiling() {
        return ceiling;
    }

    public void setCeiling(String[] ceiling) {
        this.ceiling = ceiling;
    }

    public String getProductID() {
		return productID;
	}

	public void setProductID(String productID) {
		this.productID = productID;
	}

	public String getSkuID() {
		return skuID;
	}

	public void setSkuID(String skuID) {
		this.skuID = skuID;
	}

	public String getDiscountID() {
        return discountID;
    }

    public void setDiscountID(String discountID) {
        this.discountID = discountID;
    }

    public String[] getDiscountRangeID() {
        return discountRangeID;
    }

    public void setDiscountRangeID(String[] discountRangeID) {
        this.discountRangeID = discountRangeID;
    }

    public String[] getFloor() {
        return floor;
    }

    public void setFloor(String[] floor) {
        this.floor = floor;
    }

    public String[] getIsActive() {
        return isActive;
    }

    public void setIsActive(String[] isActive) {
        this.isActive = isActive;
    }

    public String[] getReward() {
        return reward;
    }

    public void setReward(String[] reward) {
        this.reward = reward;
    }

    public String[] getRewardType() {
        return rewardType;
    }

    public void setRewardType(String[] rewardType) {
        this.rewardType = rewardType;
    }

    public String getNameField() {
        return nameField;
    }

    public void setNameField(String nameField) {
        this.nameField = nameField;
    }

    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request) {
        if (log.isDebugEnabled())
            log.debug("Starting validation.");
        setProperties(request);
        ActionErrors errors = new ActionErrors();
        if (getDiscountRangeID() != null) {
            for (int i = 0; i < getDiscountRangeID().length; i++) {
                if (Arrays.asList(getDisplayFields()).contains("rewardType")) {
                    if (getRewardType().length < i + 1
                            || getRewardType()[i] == null
                            || getRewardType()[i].equals("")) {
                        errors.add(ActionMessages.GLOBAL_MESSAGE,
                                new ActionMessage("errors.required",
                                        "Reward Type"));
                    }
                }
                if (Arrays.asList(getDisplayFields()).contains("reward")) {
                    if (getReward().length < i + 1 || getReward()[i] == null
                            || getReward()[i].equals("")) {
                        errors.add(ActionMessages.GLOBAL_MESSAGE,
                                new ActionMessage("errors.required",
                                        "Reward Amount"));
                    }
                }
            }
        }
        return errors;
    }
}
