package com.softslate.commerce.administrator.product;

import java.util.Arrays;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.lang3.StringEscapeUtils;
import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.administrator.core.BaseSerializableForm;
import com.softslate.commerce.businessobjects.product.Option;

/**
 * Struts form class corresponding to requests to "/administrator/Option.do".
 * Provides properties to control searching, viewing, editing, and deleting
 * records in the <code>sscOption</code> table.
 * 
 * @author David Tobey
 * 
 */
public class OptionForm extends BaseSerializableForm {
	private static final long serialVersionUID = 3545799870893012023L;

	static Log log = LogFactory.getLog(OptionForm.class);

	private String idField = "optionID";

	private String parentIDField = "attributeID";

	private Class entity = Option.class;

	private String entityProperty = "option";

	private String nameField = "optionName";

	private String[] fields = { "optionID", "optionCode", "optionName",
			"optionDescription", "optionIsActive", "optionUnitCost",
			"optionUnitPrice", "optionAltPrice", "optionWeight",
			"optionSmallImage", "optionLargeImage", "optionOrder" };

	private String[] fieldLables = { "Option ID", "Code", "Name",
			"Description", "Active", "Cost", "Price", "Alt Price", "Weight",
			"Small Image", "Large Image", "Order" };

	private String[] displayFields = { "optionCode", "optionName",
			"optionIsActive", "optionUnitPrice", "optionOrder" };

	private String[] searchableIntFields = { "optionID" };

	private String[] searchableFields = { "optionCode", "optionName" };

	private String sortByString = "optionOrder";

	private String[] cantSortByFields = { "optionDescription" };

	private String sortAscOrDesc = "ASC";

	private String formAction = "/Option.do";

	private String addFormAction = "/OptionAddForm.do";

	private String editFormAction = "/OptionEditForm.do";

	private String editDeleteFormAction = "/OptionEditDelete.do";

	private String productID = "";

	private String attributeID = "";

	private String[] optionID = null;

	private String[] optionCode = null;

	private String[] optionName = null;

	private String[] optionDescription = null;

	private String[] optionIsActive = null;

	private String[] optionType = null;

	private String[] optionUnitCost = null;

	private String[] optionUnitPrice = null;

	private String[] optionAltPrice = null;

	private String[] optionWeight = null;

	private String[] optionSmallImage = null;

	private String[] optionLargeImage = null;

	private String[] optionOrder = null;

	public String[] getCantSortByFields() {
		return cantSortByFields;
	}

	public void setCantSortByFields(String[] cantSortByFields) {
		this.cantSortByFields = cantSortByFields;
	}

	public String[] getOptionAltPrice() {
		return optionAltPrice;
	}

	public void setOptionAltPrice(String[] optionAltPrice) {
		this.optionAltPrice = optionAltPrice;
	}

	public String[] getOptionCode() {
		return optionCode;
	}

	public void setOptionCode(String[] optionCode) {
		this.optionCode = optionCode;
	}

	public String[] getOptionDescription() {
		return optionDescription;
	}

	public void setOptionDescription(String[] optionDescription) {
		this.optionDescription = optionDescription;
	}

	public String[] getOptionIsActive() {
		return optionIsActive;
	}

	public void setOptionIsActive(String[] optionIsActive) {
		this.optionIsActive = optionIsActive;
	}

	public String[] getOptionLargeImage() {
		return optionLargeImage;
	}

	public void setOptionLargeImage(String[] optionLargeImage) {
		this.optionLargeImage = optionLargeImage;
	}

	public String[] getOptionName() {
		return optionName;
	}

	public void setOptionName(String[] optionName) {
		this.optionName = optionName;
	}

	public String[] getOptionOrder() {
		return optionOrder;
	}

	public void setOptionOrder(String[] optionOrder) {
		this.optionOrder = optionOrder;
	}

	public String[] getOptionSmallImage() {
		return optionSmallImage;
	}

	public void setOptionSmallImage(String[] optionSmallImage) {
		this.optionSmallImage = optionSmallImage;
	}

	public String[] getOptionType() {
		return optionType;
	}

	public void setOptionType(String[] optionType) {
		this.optionType = optionType;
	}

	public String[] getOptionUnitCost() {
		return optionUnitCost;
	}

	public void setOptionUnitCost(String[] optionUnitCost) {
		this.optionUnitCost = optionUnitCost;
	}

	public String[] getOptionUnitPrice() {
		return optionUnitPrice;
	}

	public void setOptionUnitPrice(String[] optionUnitPrice) {
		this.optionUnitPrice = optionUnitPrice;
	}

	public String[] getOptionWeight() {
		return optionWeight;
	}

	public void setOptionWeight(String[] optionWeight) {
		this.optionWeight = optionWeight;
	}

	public String getIdField() {
		return idField;
	}

	public void setIdField(String idField) {
		this.idField = idField;
	}

	public String getParentIDField() {
		return parentIDField;
	}

	public void setParentIDField(String parentIDField) {
		this.parentIDField = parentIDField;
	}

	public String[] getFields() {
		return fields;
	}

	public void setFields(String[] fields) {
		this.fields = fields;
	}

	public String[] getFieldLables() {
		return fieldLables;
	}

	public void setFieldLables(String[] fieldLables) {
		this.fieldLables = fieldLables;
	}

	public String[] getDisplayFields() {
		return displayFields;
	}

	public void setDisplayFields(String[] displayFields) {
		this.displayFields = displayFields;
	}

	public String[] getSearchableFields() {
		return searchableFields;
	}

	public void setSearchableFields(String[] searchableFields) {
		this.searchableFields = searchableFields;
	}

	public String[] getSearchableIntFields() {
		return searchableIntFields;
	}

	public void setSearchableIntFields(String[] searchableIntFields) {
		this.searchableIntFields = searchableIntFields;
	}

	public String getSortByString() {
		return sortByString;
	}

	public void setSortByString(String sortByString) {
		this.sortByString = sortByString;
	}

	public String getSortAscOrDesc() {
		return sortAscOrDesc;
	}

	public void setSortAscOrDesc(String sortAscOrDesc) {
		this.sortAscOrDesc = sortAscOrDesc;
	}

	public String getFormAction() {
		return formAction;
	}

	public void setFormAction(String formAction) {
		this.formAction = formAction;
	}

	public String getAddFormAction() {
		return addFormAction;
	}

	public void setAddFormAction(String addFormAction) {
		this.addFormAction = addFormAction;
	}

	public String getEditFormAction() {
		return editFormAction;
	}

	public void setEditFormAction(String editFormAction) {
		this.editFormAction = editFormAction;
	}

	public String getEditDeleteFormAction() {
		return editDeleteFormAction;
	}

	public void setEditDeleteFormAction(String editDeleteFormAction) {
		this.editDeleteFormAction = editDeleteFormAction;
	}

	public String getAttributeID() {
		return attributeID;
	}

	public void setAttributeID(String attributeID) {
		this.attributeID = attributeID;
	}

	public String[] getOptionID() {
		return optionID;
	}

	public void setOptionID(String[] optionID) {
		this.optionID = optionID;
	}

	public Class getEntity() {
		return entity;
	}

	public void setEntity(Class entity) {
		this.entity = entity;
	}

	public String getNameField() {
		return nameField;
	}

	public void setNameField(String nameField) {
		this.nameField = nameField;
	}

	public String getProductID() {
		return productID;
	}

	public void setProductID(String productID) {
		this.productID = productID;
	}

	public String getEntityProperty() {
		return entityProperty;
	}

	public void setEntityProperty(String entityProperty) {
		this.entityProperty = entityProperty;
	}

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		setProperties(request);
		ActionErrors errors = new ActionErrors();
		if (getOptionID() != null) {
			for (int i = 0; i < getOptionID().length; i++) {
				if (Arrays.asList(getDisplayFields()).contains("optionCode")) {
					if (getOptionCode().length < i + 1
							|| getOptionCode()[i] == null
							|| getOptionCode()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Code"));
					} else if (containsUnsafeCharacter(getOptionCode()[i],
							request) != null) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.unsafeCharacter",
										"The code " + StringEscapeUtils.escapeXml11(getOptionCode()[i]),
										containsUnsafeCharacter(
												getOptionCode()[i], request)));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("optionName")) {
					if (getOptionName().length < i + 1
							|| getOptionName()[i] == null
							|| getOptionName()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Name"));
					}
				}
				if (Arrays.asList(getDisplayFields())
						.contains("optionIsActive")) {
					if (getOptionIsActive().length < i + 1
							|| getOptionIsActive()[i] == null
							|| getOptionIsActive()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Active"));
					}
				}
				if (Arrays.asList(getDisplayFields()).contains("optionOrder")) {
					if (getOptionOrder().length < i + 1
							|| getOptionOrder()[i] == null
							|| getOptionOrder()[i].equals("")) {
						errors.add(ActionMessages.GLOBAL_MESSAGE,
								new ActionMessage("errors.required", "Order"));
					}
				}
			}
		}
		return errors;
	}
}
