package com.softslate.commerce.administrator.product;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;

import com.softslate.commerce.customer.core.BaseForm;

/**
 * @author David Tobey
 *  
 */
public class ProductSettingsFormInventory extends BaseForm {

    private static final long serialVersionUID = 1032074196816065965L;

    static Log log = LogFactory.getLog(ProductSettingsFormInventory.class);

    private String productID = null;

    private String parentName = null;

    private String breadcrumbName = "inventory settings";

    private String breadcrumbTarget = "ProductSettingsInventory.do";

    private String type = "INVENTORY";

    private String[] code = { "overrideGlobal", "denyPurchaseWhenOOS",
            "deactivateWhenOOS", "decrementBehavior", "oosAmount", "lowAmount",
            "sendLowStockEmails", "lowStockEmailTO", "lowStockEmailSubject",
            "lowStockEmailTemplate" };

    private String[] name = { "Override Global Inventory Settings",
            "Deny Purchase When Out of Stock",
            "Deactivate Product When Out of Stock", "Decrement Behavior",
            "Out of Stock Level", "Low Stock Level",
            "Send Low Stock Notifications", "Low Stock Email To",
            "Low Stock Email Subject", "Low Stock Email Text Template" };

    private String[] description = {
            "If true, the following settings will be applied for this product, if false, the global settings defined in the Settings -> Inventory screen will apply.",
            "Prevents customers from adding a SKU to their cart when it goes out of stock.",
            "Set the active flag for a product to false when a SKU associated with it goes out of stock.",
            "Determines when to decrement the inventory level for a SKU.",
            "Inventory level when a SKU is considered out of stock (normally 0).",
            "Inventory level when a SKU is considered as having low stock.",
            "If true, a notification email will be sent whenever a SKU reaches its low stock level.",
            "A comma-separated list of email addresses that will be sent the low stock emails.",
            "The subject of the low stock emails generated by the store for SKUs associated with this product.",
            "A string template used to construct the text part of the low stock email." };

    private String[] value = {
            "0",
            "1",
            "0",
            "onAddingToCart",
            "0",
            "10",
            "1",
            "",
            "Low Stock Notice for Product Code %%PRODUCT_CODE%%",
            "The following SKU has reached its low stock level:\n\nProduct code: %%PRODUCT_CODE%%\nSKU Number: %%SKU_NUMBER%%\nSKU ID: %%SKU_ID%%\nLow stock level: %%LOW_STOCK_LEVEL%%\nCurrent level: %%INVENTORY_LEVEL%%" };

    private String[] valueType = { "integerValue", "integerValue",
            "integerValue", "smallValue", "integerValue", "integerValue",
            "integerValue", "textValue", "mediumValue", "textValue" };

    public String[] getCode() {
        return code;
    }

    public void setCode(String[] code) {
        this.code = code;
    }

    public String[] getDescription() {
        return description;
    }

    public void setDescription(String[] description) {
        this.description = description;
    }

    public String[] getName() {
        return name;
    }

    public void setName(String[] name) {
        this.name = name;
    }

    public String getProductID() {
        return productID;
    }

    public void setProductID(String productID) {
        this.productID = productID;
    }

    public String getParentName() {
        return parentName;
    }

    public void setParentName(String parentName) {
        this.parentName = parentName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String[] getValue() {
        return value;
    }

    public void setValue(String[] value) {
        this.value = value;
    }

    public String[] getValueType() {
        return valueType;
    }

    public void setValueType(String[] valueType) {
        this.valueType = valueType;
    }

    public String getBreadcrumbName() {
        return breadcrumbName;
    }

    public void setBreadcrumbName(String breadcrumbName) {
        this.breadcrumbName = breadcrumbName;
    }

    public String getBreadcrumbTarget() {
        return breadcrumbTarget;
    }

    public void setBreadcrumbTarget(String breadcrumbTarget) {
        this.breadcrumbTarget = breadcrumbTarget;
    }

    public ActionErrors validate(ActionMapping mapping,
            HttpServletRequest request) {
        if (log.isDebugEnabled())
            log.debug("Starting validation.");
        initializeProperties(mapping, request);
        return getErrors();
    }

}
