package com.softslate.commerce.administrator.tax;

import javax.servlet.http.HttpServletRequest;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionMapping;
import org.apache.struts.action.ActionMessage;
import org.apache.struts.action.ActionMessages;

import com.softslate.commerce.customer.core.BaseDynaForm;

/**
 * @author David Tobey
 * 
 */
public class SettingsFormAvaTax extends BaseDynaForm {

	private static final long serialVersionUID = -8350064964837538326L;
	static Log log = LogFactory.getLog(SettingsFormAvaTax.class);

	public ActionErrors validate(ActionMapping mapping,
			HttpServletRequest request) {
		if (log.isDebugEnabled())
			log.debug("Starting validation.");
		initializeProperties(mapping, request);
		if (request.getParameter("avataxURL") == null
				|| request.getParameter("avataxURL").equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "AvaTax URL"));
		}
		if (request.getParameter("avataxAccount") == null
				|| request.getParameter("avataxAccount").equals("")) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required",
							"AvaTax Account Number"));
		}
		if (request.getParameter("avataxLicense") == null
				|| request.getParameter("avataxLicense").equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "AvaTax License Key"));
		}
		if (request.getParameter("avataxDocType") == null
				|| request.getParameter("avataxDocType").equals("")) {
			getErrors().add(ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required", "AvaTax Doc Type"));
		}
		if (request.getParameter("avataxCustomerCode") == null
				|| request.getParameter("avataxCustomerCode").equals("")) {
			getErrors()
					.add(
							ActionMessages.GLOBAL_MESSAGE,
							new ActionMessage("errors.required",
									"AvaTax Customer Code"));
		}
		if (request.getParameter("avataxOriginRegion") == null
				|| request.getParameter("avataxOriginRegion").equals("")) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required",
							"AvaTax Origin Address Region"));
		}
		if (request.getParameter("avataxOriginPostalCode") == null
				|| request.getParameter("avataxOriginPostalCode").equals("")) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required",
							"AvaTax Origin Address Postal Code"));
		}
		if (request.getParameter("avataxOriginCountry") == null
				|| request.getParameter("avataxOriginCountry").equals("")) {
			getErrors().add(
					ActionMessages.GLOBAL_MESSAGE,
					new ActionMessage("errors.required",
							"AvaTax Origin Address Country"));
		}
		String[] avataxStatesToCalculateArray = (String[]) get("avataxStatesToCalculateArray");
		String avataxStatesToCalculate = null;
		for (int i = 0; i < avataxStatesToCalculateArray.length; i++) {
			if (i != 0) {
				avataxStatesToCalculate = avataxStatesToCalculate + "," + avataxStatesToCalculateArray[i];
			} else {
				avataxStatesToCalculate = avataxStatesToCalculateArray[i];
			}
		}
		set("avataxStatesToCalculate", avataxStatesToCalculate);
		String[] avataxCountriesToCalculateArray = (String[]) get("avataxCountriesToCalculateArray");
		String avataxCountriesToCalculate = null;
		for (int i = 0; i < avataxCountriesToCalculateArray.length; i++) {
			if (i != 0) {
				avataxCountriesToCalculate = avataxCountriesToCalculate + "," + avataxCountriesToCalculateArray[i];
			} else {
				avataxCountriesToCalculate = avataxCountriesToCalculateArray[i];
			}
		}
		set("avataxCountriesToCalculate", avataxCountriesToCalculate);
		String[] avataxCountriesToVerifyArray = (String[]) get("avataxCountriesToVerifyArray");
		String avataxCountriesToVerify = null;
		for (int i = 0; i < avataxCountriesToVerifyArray.length; i++) {
			if (i != 0) {
				avataxCountriesToVerify = avataxCountriesToVerify + "," + avataxCountriesToVerifyArray[i];
			} else {
				avataxCountriesToVerify = avataxCountriesToVerifyArray[i];
			}
		}
		set("avataxCountriesToVerify", avataxCountriesToVerify);
		return getErrors();
	}

}
