package com.softslate.commerce.businessobjects.events;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;

import com.google.common.eventbus.Subscribe;
import com.softslate.commerce.businessobjects.core.BaseBusinessProcessor;
import com.softslate.commerce.businessobjects.core.BusinessObjectFactory;

/* 
 * This class is a singleton maintained by EventBus. For thread safety, it simply creates a new instance of
 * CapturePaymentTrigger and hands off the processing to it.
 */
public class CapturePaymentSubscriberImpl extends BaseBusinessProcessor implements CapturePaymentSubscriber {

	static Log log = LogFactory.getLog(CapturePaymentSubscriberImpl.class);

	@Subscribe
	public void processCapturePayment(ChangingOrderEvent coe) throws Exception {
		log.info("Subscriber for capturing payment on an order.");
		BusinessObjectFactory bof = coe.getBusinessProcessor().getBusinessObjectFactory();
		CapturePaymentTrigger trigger = bof.createObject(CapturePaymentTrigger.class);
		trigger.processCapturePayment(coe);
	}

}
