package com.softslate.commerce.businessobjects.importexport;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessProcessor;
import com.softslate.commerce.businessobjects.order.Order;

public interface QboConnectionProcessor extends BusinessProcessor {

	public Map callDiscoveryDocument() throws Exception;

	public String prepareRedirectUrl(String csrfToken) throws Exception;

	public Map<String, Object> oauth2Callback(String authCode, String state, String realmId, String csrfToken)
			throws Exception;

	public Map<String, Object> refreshTokens() throws Exception;

	public void revokeTokens() throws Exception;

	public Map refreshQboConnection(Order order) throws Exception;

	public void refreshQboSettingsFromDatabase() throws Exception;

	public void sendQboConnectionWarningEmail(Order order, String message);
}
