package com.softslate.commerce.businessobjects.importexport;

import java.util.Map;

import com.softslate.commerce.businessobjects.core.BusinessProcessor;
import com.softslate.commerce.businessobjects.order.Order;
import com.softslate.commerce.businessobjects.order.OrderItem;

public interface QboQueryProcessor extends BusinessProcessor {

	Map<String, Object> queryQboForSalesReceiptByDocNumber(String docNumber) throws Exception;

	String queryQboForSalesReceiptIdByDocNumber(String docNumber) throws Exception;

	Map<String, Object> queryQboForPreferences() throws Exception;

	Map<String, String> queryQboForCustomerIdAndDisplayNameByPrimaryEmailAddr(String customerUserName) throws Exception;

	String queryQboForAccountIdByName(String name) throws Exception;

	Map<String, String> queryQboForCustomerIdByDisplayName(String customerDisplayName) throws Exception;

	String queryQboForItemId(String itemName) throws Exception;

	String queryQboForTaxCodeId(String taxCodeName) throws Exception;

	String queryQboForPaymentMethodId(String name) throws Exception;

	String queryQboForDepositAccountIdByName(String depositAccountName) throws Exception;

	String createQboItem(OrderItem oi) throws Exception;

	String createQboItem(String defaultItemName, boolean taxable) throws Exception;

	Map<String, String> createQboCustomer(Order order) throws Exception;

	String createQboPaymentMethod(String paymentMethodName) throws Exception;

	Map<String, Object> createInQbo(Map<String, Object> qboObject, String nameOfObject) throws Exception;

	Map<String, String> createQboCustomer(String defaultCustomerName) throws Exception;
}
