package com.softslate.commerce.daos.order;

import com.softslate.commerce.businessobjects.order.OrderItemAttribute;
import com.softslate.commerce.daos.core.DAOInterface;


/**
 * Interface for a DAO to manage the <code>sscOrderItemAttribute</code> table of the
 * database.
 * 
 * @author David Tobey
 * 
 */
public interface OrderItemAttributeDAO extends DAOInterface {
	abstract OrderItemAttribute getOrderItemAttribute();

	abstract void setOrderItemAttribute(OrderItemAttribute orderItemAttribute);

	abstract void loadOrderItemAttributeFromID() throws Exception;

	abstract void insertOrderItemAttribute() throws Exception;

	abstract void insertOrderItemAttribute(boolean commit) throws Exception;

	abstract void updateOrderItemAttribute() throws Exception;

	abstract void updateOrderItemAttribute(boolean commit) throws Exception;

	abstract void deleteOrderItemAttribute() throws Exception;

	abstract void deleteOrderItemAttribute(boolean commit) throws Exception;
}
