package com.softslate.commerce.daos.product;

import com.softslate.commerce.businessobjects.product.Manufacturer;
import com.softslate.commerce.daos.core.DAOInterface;
import com.softslate.commerce.daos.core.DataAccessException;

/**
 * Interface for a DAO to manage the <code>sscManufacturer</code> table of the
 * database.
 * 
 * @author David Tobey
 */
public interface ManufacturerDAO extends DAOInterface {
	abstract Manufacturer getManufacturer();

	abstract void setManufacturer(Manufacturer manufacturer);

	abstract void loadManufacturer() throws Exception;

	abstract void loadManufacturerFromID() throws Exception;

	abstract void insertManufacturer() throws Exception;

	abstract void insertManufacturer(boolean commit) throws Exception;

	abstract void updateManufacturer() throws Exception;

	abstract void updateManufacturer(boolean commit) throws Exception;

	abstract void deleteManufacturer() throws Exception;

	abstract void deleteManufacturer(boolean commit) throws Exception;

	abstract void loadProducts() throws DataAccessException;

}
