package com.softslate.commerce.daos.product;

import com.softslate.commerce.businessobjects.product.Option;
import com.softslate.commerce.daos.core.DAOInterface;

/**
 * Interface for a DAO to manage the <code>sscOption</code> table of the
 * database.
 * 
 * @author David Tobey
 *  
 */
public interface OptionDAO extends DAOInterface {
    abstract Option getOption();

    abstract void setOption(Option option);

    abstract void loadOptionFromID() throws Exception;

    abstract void loadOptionFromCode() throws Exception;

    abstract void insertOption() throws Exception;

    abstract void insertOption(boolean commit) throws Exception;

    abstract void updateOption() throws Exception;

    abstract void updateOption(boolean commit) throws Exception;

    abstract void deleteOption() throws Exception;

    abstract void deleteOption(boolean commit) throws Exception;
}
