INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProHostAddress','Host Address','The host name used to connect to the Payflow Pro account. Use <strong>pilot-payflowpro.paypal.com</strong> for test transactions and <strong>payflowpro.paypal.com</strong> for live transactions.','payflowPro', 'mediumValue', NULL,NULL,'pilot-payflowpro.paypal.com',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProHostPort','Host Port','The port used to connect to the Payflow Pro account.','payflowPro', 'smallValue', NULL,'443',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProTimeout','Timeout','Timeout period for transactions, in seconds. The minimum recommended timeout is 30 seconds.','payflowPro', 'smallValue', NULL,'30',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProVendor','Payflow Vendor','The Merchant Login ID established when you created your Payflow Account.','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProUser','Payflow User','The user name used to log into the Payflow Pro account. This is typically the same as the PayPal Vendor unless you have created a separate user.','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProPassword','Password','The password used to log into the Payflow Pro account.','payflowPro', 'encryptedValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProPartner','Payflow Partner','The PayPal Partner used to log into the Payflow Pro account. If you created your account directly with PayPal, your Partner is <strong>PayPal</strong>.','payflowPro', 'smallValue', NULL,'VeriSign',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProComment1','Comment 1','The Comment fields are passed to Payflow Pro and appear in custom reports.','payflowPro', 'mediumValue', NULL,NULL,'Order ID: %%ORDER_ID%%  Phone 1: %%BILL_PHONE1%%  Phone 2:%%BILL_PHONE2%%  Email 1: %%BILL_EMAIL1%%  Email 2: %%BILL_EMAIL2%%',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProComment2','Comment 2','The Comment fields are passed to Payflow Pro and appear in custom reports.','payflowPro', 'mediumValue', NULL,NULL,'Del. ID: %%DELIVERY_ID%%  Del. Phone 1: %%DELIVERY_PHONE1%%  Del. Phone 2:%%DELIVERY_PHONE2%%  Del. Email 1: %%DELIVERY_EMAIL1%%  Del. Email 2: %%DELIVERY_EMAIL2%%',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCustRef','Customer Reference','The Customer Reference (custref) field appears in custom reports.','payflowPro', 'smallValue', NULL,'%%CUSTOMER_ID%%',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCustomerCode','Customer Code','The Customer Code appears in custom reports.','payflowPro', 'smallValue', NULL,'%%CUSTOMER_ID%%',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProPONumber','Purchase Order Number','The Purchase Order Number is passed to Payflow Pro appears in custom reports.','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProProxyAddress','Proxy Address','Proxy server host name. Use proxy values for servers behind a firewall.','payflowPro', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProProxyPort','Proxy Port','The port number of the proxy.','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProProxyLogon','Proxy Logon','The login name of the proxy.','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProProxyPassword','Proxy Password','The password of the proxy.','payflowPro', 'encryptedValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProVerbosity','Verbosity Level','The verbosity level of the Payflow Pro responses. Current valid values are LOW or MEDIUM.','payflowPro', 'smallValue', NULL,'MEDIUM',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProType1','Transaction Type - Level One','The transaction type for level one of the transaction and authentication options.','payflowPro', 'smallValue', NULL,'S',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProType2','Transaction Type - Level Two','The transaction type for level two of the transaction and authentication options.','payflowPro', 'smallValue', NULL,'AAS',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProType3','Transaction Type - Level Three','The transaction type for level three of the transaction and authentication options.','payflowPro', 'smallValue', NULL,'A',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProType','Transaction Type - Default','The transaction type if none of the three levels applies.','payflowPro', 'smallValue', NULL,'A',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProAuth1','Authentication - Level One','The authentication rules for level one of the transaction and authentication options.','payflowPro', 'textValue', NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProAuth2','Authentication - Level Two','The authentication rules for level two of the transaction and authentication options.','payflowPro', 'textValue', NULL,NULL,NULL,'YYY,YYX,YYN,YXY,YXX,YXN,YNY,YNX,YNN,XYY,XYX,XYN,XXY,XNY,NYY,NYX,NYN,NXY,NNY');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProAuth3','Authentication - Level Three','The authentication rules for level three of the transaction and authentication options.','payflowPro', 'textValue', NULL,NULL,NULL,'YYY,YYX,YXY,YXX,XYY,XYX,XXY,XXX');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProAuth','Authentication - Default','The authentication rules if none of the three levels applies.','payflowPro', 'textValue', NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCust1','Customer Status - Level One','','payflowPro', 'smallValue', NULL,'Qualified',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCust2','Customer Status - Level Two','','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCust3','Customer Status - Level Three','','payflowPro', 'smallValue', NULL,'',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProFloor1','Order Total Floor - Level One','','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProFloor2','Order Total Floor - Level Two','','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProFloor3','Order Total Floor - Level Three','','payflowPro', 'smallValue', NULL,'0',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCeiling1','Order Total Ceiling - Level One','','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCeiling2','Order Total Ceiling - Level Two','','payflowPro', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCeiling3','Order Total Ceiling - Level Three','','payflowPro', 'smallValue', NULL,'100',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCountries1','Countries - Level One','','payflowPro', 'textValue', NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCountries2','Countries - Level Two','','payflowPro', 'textValue', NULL,NULL,NULL,'US,CA');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('payflowProCountries3','Countries - Level Three','','payflowPro', 'textValue', NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetLoginID','Authorize.net Login ID','The user name or login id used to log into the Authorize.net account.','authorizeNet-general', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetTxKey','Authorize.net Transaction Key','The Authorize.net account transaction key (obtained from the merchant interface of your Authorize.net account).','authorizeNet-general', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetTxType','Transaction Type','The type of transaction for Authorize.net to perform with each order.','authorizeNet-general', 'smallValue', NULL,'AUTH_CAPTURE',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetTestRequest','Test Mode?','If yes, transactions will be sent to Authorize.net as test requests and the above Login ID and Transaction Key should be for a developer account on sandbox.authorize.net.','authorizeNet-general', 'booleanValue', 1,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetIntegrationMethod','Integration Method','Determines how payment information is transmitted to Authorize.net. The options including Server to Server, Accept.js, and Accept Hosted.','authorizeNet-general', 'smallValue', NULL,'AcceptHostedIframe',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetAcceptJSPublicClientKey','Accept.js Public Client Key','If you are using Accept.js as the integration method you must create a Client Key. Log in to the Authorize.Net merchant interface and navigate to Account > Settings > Security Settings > General Security Settings > Manage Public Client Key. Create the key and paste it here.','authorizeNet-acceptJS', 'mediumValue', NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetEnableCustomerProfiles','Enable Customer Profiles?','Enables logged in customers to choose to save and reuse payment information as they place orders.','authorizeNet-profiles', 'booleanValue', '1',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetAllowManageProfiles','Allow Customers to Manage Authorize.net Profiles','If yes, customers will be allowed to manage their saved Authorize.net profiles in the customer account area.','authorizeNet-profiles', 'booleanValue', 1,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetAllowDeleteProfiles','Allow Customers to Delete Authroize.net Profiles','If yes, customers are allowed to delete previously saved Authorize.net profiles.','authorizeNet-profiles', 'booleanValue', 1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedPayText','Hosted Form Pay Button Text','The text to display on the button that the customer uses to submit the payment.','authorizeNet-accepthosted', 'mediumValue', NULL,NULL,'Place Order',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedBgColor','Hosted Form Background Color','The accent color of the form, including button and field line colors. Acceptable values are CSS color keywords or RGB hexadecimal values. Defaults to #3F8FCD, a moderate shade of blue.','authorizeNet-accepthosted', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedShowBankAccount','Hosted Form Show Bank Account Inputs?','Whether or not to show bank account input fields in the hosted form. Note that you must add eCheck.Net to your payment gateway to enable bank account fields on the payment form. Either this or "Hosted Form Show Credit Card Inputs?" should be set to yes.','authorizeNet-accepthosted', 'booleanValue', '1',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedShowCreditCard','Hosted Form Show Credit Card Inputs?','Whether or not to show credit card input fields in the hosted form. Either this or "Hosted Form Show Bank Account Inputs?" should be set to yes.','authorizeNet-accepthosted', 'booleanValue', '1',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedShowBillingAddress','Hosted Form Show Billing Address?','Whether or not to show billing address input fields in the hosted form. Note: in most flows SoftSlate asks for the billing address separately.','authorizeNet-accepthosted', 'booleanValue', '0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedRequireBillingAddress','Hosted Form Require Billing Address?','If billing address fields are shown, whether or not to require a billing address be submitted. Note: in most flows SoftSlate asks for the billing address separately.','authorizeNet-accepthosted', 'booleanValue', '0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedShowEmail','Hosted Form Show Email?','Whether or not to show the email address input field in the hosted form. Note: in most flows SoftSlate asks for the email address separately.','authorizeNet-accepthosted', 'booleanValue', '0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedRequireEmail','Hosted Form Require Email?','If the email address field is shown, whether or not to require an email address be submitted. Note: in most flows SoftSlate asks for the email address separately.','authorizeNet-accepthosted', 'booleanValue', '0',NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedAddPaymentProfile','Hosted Form Show Add Payment Profile Option?','If the customer has an existing customer profile, whether or not to show an option to add a new payment profile to their customer profile, on the hosted form.','authorizeNet-accepthosted', 'booleanValue', '1',NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetHostedIFrameCommunicatorUrl','IFrame Communicator URL','Enter the URL to a page that can communicate with the merchants main page using javascript. This enables you to dynamically change the size of the popup so there are no scroll bars. This parameter is required only for iframe or lightbox applications. The application will append the Customer Secure URL to this setting.','authorizeNet-accepthosted', 'mediumValue', NULL,NULL,'/js/vendor/IframeCommunicator.html',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetDupeTxTimeout','Duplicate Transaction Timeout','Indicates in seconds the window of time after a transaction is submitted during which the payment gateway will check for a duplicate transaction.','authorizeNet-other', 'integerValue', 15,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetEmailCustomer','Email Customer?','If yes, Authorize.net will email the customer confirmation of the payment.','authorizeNet-other', 'booleanValue', 0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetEmailMerchant','Merchant Email Address','Email address to which the merchant copy of the customer confirmation email should be sent.','authorizeNet-other', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetCustomerID','Customer ID','The customer ID sent to Authorize.net.','authorizeNet-other', 'smallValue', NULL,'%%CUSTOMER_ID%%',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetInvoiceNum','Invoice Number','The invoice number sent to Authorize.net.','authorizeNet-other', 'smallValue', NULL,'%%ORDER_ID%%',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetPONumber','PO Number','The purchase order number sent to Authorize.net.','authorizeNet-other', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('authorizeNetDescription','Transaction Description','A description of the transaction sent to Authorize.net.','authorizeNet-other', 'textValue', NULL,NULL,NULL,'Online Order from %%STORE_NAME%%  Email 1: %%BILL_EMAIL1%%  Order ID: %%ORDER_ID%%');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKHostAddress','Host Address','The host name used to connect to the Payflow Pro account. Use test-payflow.verisign.com for test transactions and payflow.verisign.com for live transactions.','paypalUK', 'mediumValue', NULL,NULL,'test-payflow.verisign.com',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKHostPort','Host Port','The port used to connect to the Payflow Pro account.','paypalUK', 'smallValue', NULL,'443',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKTimeout','Timeout','Timeout period for transactions, in seconds. The minimum recommended timeout is 30 seconds.','paypalUK', 'smallValue', NULL,'30',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKUser','Merchant Login','The user name or login name used to log into the Payflow Pro account.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKPassword','Password','The password used to log into the Payflow Pro account.','paypalUK', 'encryptedValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKPartner','Partner','The PayPal Partner used to log into the Payflow Pro account. If you created your account directly with PayPal, your Partner is VeriSign.','paypalUK', 'smallValue', NULL,'PayPalUK',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKVendor','Vendor','The PayPal Vendor used to log into the Payflow Pro account. (Leave blank if you do not know this.)','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKComment1','Comment 1','The Comment fields are passed to Payflow Pro and appear in custom reports.','paypalUK', 'mediumValue', NULL,NULL,'Order ID: %%ORDER_ID%%  Phone 1: %%BILL_PHONE1%%  Phone 2:%%BILL_PHONE2%%  Email 1: %%BILL_EMAIL1%%  Email 2: %%BILL_EMAIL2%%',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKComment2','Comment 2','The Comment fields are passed to Payflow Pro and appear in custom reports.','paypalUK', 'mediumValue', NULL,NULL,'Del. ID: %%DELIVERY_ID%%  Del. Phone 1: %%DELIVERY_PHONE1%%  Del. Phone 2:%%DELIVERY_PHONE2%%  Del. Email 1: %%DELIVERY_EMAIL1%%  Del. Email 2: %%DELIVERY_EMAIL2%%',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKCustRef','Customer Reference','The Customer Reference (custref) field appears in custom reports.','paypalUK', 'smallValue', NULL,'%%CUSTOMER_ID%%',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKCustomerCode','Customer Code','The Customer Code appears in custom reports.','paypalUK', 'smallValue', NULL,'%%CUSTOMER_ID%%',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKPONumber','Purchase Order Number','The Purchase Order Number is passed to Payflow Pro appears in custom reports.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKProxyAddress','Proxy Address','Proxy server host name. Use proxy values for servers behind a firewall.','paypalUK', 'mediumValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKProxyPort','Proxy Port','The port number of the proxy.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKProxyLogon','Proxy Logon','The login name of the proxy.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKProxyPassword','Proxy Password','The password of the proxy.','paypalUK', 'encryptedValue', NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKAVSSt','AVS Setting for Street Match','AVS Setting for Street Match.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKAVSZip','AVS Setting for Zip Code Match','AVS Setting for Zip Code Match','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKCVV2','AVS Setting for CVV2 Match','AVS Setting for CVV2 Match','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKPaymentType','Direct Transaction Type','The transaction options for PayPal UK Direct.','paypalUK', 'smallValue', NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue)
VALUES ('paypalUKCertPath','Paypal UK Certificate Path','Certificate Path for paypal UK','paypalUK', 'mediumValue', NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalEnvironment','Live or Sandbox (Test) Mode?','If set to live mode, transactions will be processed with the live PayPal system. If Sandbox, their test system.','paypal','smallValue',NULL,'live',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalPaymentType','PayPal Payment Type','The type of payment transaction for PayPal orders. (Sale, Order, or Authentication.)','paypal','smallValue',NULL,'Sale',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalAPIUsername','PayPal API User Name','The API user name of the PayPal business account given by PayPal when registering for API credentials.','paypal','smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalAPIPassword','PayPal API Password','The API password of the PayPal business account given by PayPal when registering for API credentials.','paypal','encryptedValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalSignature','PayPal API Signature','The API signature given by PayPal when registering for API credentials. (If not provided, the cretificate file and private key password must be.)','paypal','textValue',NULL,NULL,NULL,'');
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalCertificateFile','PayPal Certificate File','The full path on the server to the certificate file used to authenticate with PayPal. (If not provided, the signature must be.)','paypal','mediumValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalPrivateKeyPassword','PayPal Private Key Password','The password for the private key associated with the certificate.','paypal','encryptedValue',NULL,NULL,'',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalTimeout','PayPal Timeout','The connection timeout in milliseconds to use when connecting to PayPal.','paypal','integerValue',15000,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalDelayTime','PayPal Delay Time','The delay time bewteen each retry call in milliseconds.','paypal','integerValue',2000,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalMaximumRetries','PayPal Maximum Retries','The maximum number of retries.','paypal','integerValue',2,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('paypalExpressRedoShipping','Redo Shipping Prompt for PayPal Express?','If set to yes, the application will prompt the user to enter a shipping option after returning from PayPal, even if he already has. (Necessary if shipping options depend on the ship to address of the order.)','paypal','booleanValue',0,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES  ('sendCartItemsToPayPal','Send Cart Items To PayPal?','If set to yes, the application will package and send a summary of the cart items to PayPal Express Checkout, so PayPal can display them. (Note, taxes and shipping are not displayed but discounts are.)','paypal','booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointUrl','Paypoint URL','The URL we send users to pay through Paypoint.','PAYPOINT', 'mediumValue',NULL,NULL,'https://www.secpay.com/java-bin/ValCard',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointCallback','Callback URL','The location on our server paypoint is required to call when authorisation is completed.','PAYPOINT', 'mediumValue',NULL,NULL,'https://www.yourdomain.com/Paypoint.do',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMerchant','Username','This is your paypoint username (usually six letters followed by two numbers).','PAYPOINT', 'smallValue',NULL,'xxxxxx11',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointBackCallback','Back Callback URL','The URL the user can come back to without finishing the authorisation.','PAYPOINT', 'mediumValue',NULL,NULL,'http://www.yourdomain.com/Cart.do',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointErrTemplate','Error Template','The HTML template used by paypoint to display error messages.  Leave blank if using default.','PAYPOINT', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointShowBack','Back Button','Set to submit when using the Back Callback URL, otherwise the back button on the payment page will act as a submit to authorise payment.','PAYPOINT', 'smallValue',NULL,'submit',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointTemplate','Template','The path to the HTML card payment page template you customised and uploaded to paypoint.','PAYPOINT', 'mediumValue',NULL,NULL,'',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointAmex','Amex Test','Used for testing to indicate that you have an extra Amex merchant number.  You must actually have an amex account when live.','PAYPOINT', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointCardType','CB Card Type','If on, paypoint will callback the type of card used in the transaction.','PAYPOINT', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointDeferred','Deferred Option','If true, 1 unit will be authorised.  If full, the full amount will be authorised.  If reuse, the full amount will be authorised and will try to use the same authorisation code.','PAYPOINT', 'smallValue',NULL,'reuse',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointDeferredReuse','Deferred Reuse Setting','The period of days authorisation should be valid (credit card:debit card).  Example would be 5:3 for five days and three days.','PAYPOINT', 'smallValue',NULL,'5:3',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointUseDigest','Use Digest','Use the optional security digest authentication system.','PAYPOINT', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointRemotePassword','Remote Password','This is used to create MD5 hash for the digest security.  Set this up in the paypoint admin.','PAYPOINT', 'mediumValue',NULL,NULL,'yourremotepassword',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointIdiompotent','Idempotent','This can be used locally when catching dups, but it is not clear in the docs what we are supposed to do with it.','PAYPOINT', 'booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointCustomerMailAttach','Attach Customer Email','Should the confirmation email be an attachment or shown inline (default = attachment)','PAYPOINT', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMerchantMailAttach','Attach Merchant Email','Should the confirmation email be an attachment or shown inline (default = attachment)','PAYPOINT', 'booleanValue',1,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMailOption','Email Confirmation Option','true = send email to billing email, false = do not send email, bill = send to bill email, ship = send email to shipping email','PAYPOINT', 'smallValue',NULL,'true',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMailMerchants','Confirmation Email Addresses','Colon (:) seperated list of merchant email addresses to receive confirmation.  Overrides settings in paypoint.','PAYPOINT', 'textValue',NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMailMessage','Email Message','Additional message added to the confirmation email.','PAYPOINT', 'textValue',NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointMailSubject','Email Subject','Sets the subject line of the order confirmation emails.','PAYPOINT', 'mediumValue',NULL,NULL,'Order Confirmation',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointTestStatus','Test Status','true = simulate authorised transaction, false = simulate declined transaction, live = do live authorisations.','PAYPOINT', 'smallValue',NULL,'true',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointParameters','Extra Parameters','A pipe delimited list of extra parameters (like presentation) to send to paypoint.  See paypoint docs for more values.  (ex: name=value|name=value).','PAYPOINT', 'textValue',NULL,NULL,NULL,'background=https://www.secpay.com/users/xxxxxx11/background.gif|bgcolor=white|font_color=black');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('paypointRequireCv2','Require CV2','Require the user to enter a CV2 or security code','PAYPOINT','booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('checkPaymentProcessorMessage','Check Payment Processor Message','The message displayed on the invoice when the user elects to pay using the CheckPaymentProcessor.','PAYMENTS', 'mediumValue',0,NULL,'User elected to pay by check.',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataClientCertificatePath','Client Certificate Path','The path to your .p12 certificate file created from the .pem file downloaded from your First Data Global Gateway account. If the path begins with /WEB-INF, it represents a path under the installation directory. You must create the .p12 file and upload it to the server. To create a .p12 file from a .pem file, use the following openssl command as an example: <strong>openssl pkcs12 -export -in yourpemfile.pem -inkey yourpemfile.pem -out firstDataCertificate.p12 -passout pass:yourpassword -name "First Data Global Gateway"</strong>. Refer to the <a target="_new" href="http://www.firstdata.com/downloads/marketing-merchant/fd_globalgatewayapi_usermanual.pdf">First Data Global API User Manual</a> for more information.','FIRSTDATA', 'mediumValue',NULL,NULL,'/WEB-INF/conf/keys/firstDataCertificate.p12',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataClientCertificatePassword','Client Certificate Password','The password that was used when converting the .pem file downloaded from your First Data Global Gateway account to the .p12 Client Certificate file.','FIRSTDATA', 'encryptedValue',NULL,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataStoreNumber','Store Number','The store number from your First Data Global Gateway account.','FIRSTDATA', 'smallValue',NULL,'',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataAPIHostName','API Host Name','The host name used by the API service to connect to the First Data Global Gateway. As of this writing, use <strong>staging.linkpt.net</strong> for test accounts and <strong>api.qa.linkpoint.com</strong> for live accounts.','FIRSTDATA', 'mediumValue',NULL,NULL,'api.qa.linkpoint.com',NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataAPIPort','API Port Number','The port used by the API service to connect to the First Data Global Gateway.','FIRSTDATA', 'integerValue', 1129,NULL,NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataTransactionType','Transaction Type','The type of transaction for the First Data Global Gateway to perform with each order. (Valid values are SALE and PREAUTH.)','FIRSTDATA', 'smallValue', NULL,'PREAUTH',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataTestMode','Test Mode','The test mode used for each transaction. For testing, use GOOD, DECLINE, or DUPLICATE. For live transactions use LIVE.','FIRSTDATA', 'smallValue', NULL,'LIVE',NULL,NULL);
INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('firstDataComments','Comments','The comments sent to the First Data Global Gateway with optional extra information about each order.','FIRSTDATA', 'textValue', NULL,NULL,NULL,'Online Order from %%STORE_NAME%%  Email 1: %%BILL_EMAIL1%%  Order ID: %%ORDER_ID%%');
