UPDATE sscSetting SET smallValue='3.1.5' WHERE code='dataObjectsVersion';

INSERT INTO sscRole(code, name, description) VALUES('settingsEmailerView', 'Emailer Settings Viewer', 'Allows access to view Emailer settings.');

INSERT INTO sscRole(code, name, description) VALUES('settingsEmailerEdit', 'Emailer Settings Editor', 'Allows access to view and edit Emailer settings.');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('emailerClientID','Client ID','The client ID of the SoftSlate Emailer account.','ADVANCEDSYSTEM', 'smallValue',NULL,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('emailerContactForm','Create Subscribers from Contact Form','Define if and how subscribers in the SoftSlate Emailer system should be created when users submit the contact form. (Manage other contact form settings from the <a href="SettingsContactForm.do">Contact Form Settings screen</a>.)','EMAILERCONTACT', 'smallValue',NULL,'dontSubscribe',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('emailerContactFormOptInPrompt','Contact Form Opt In Prompt','If the above setting, Create Subcribers from Contact Form, is set to Subscribe Only Users Who Opt In, a field will appear on the contact form allowing customers to approve being added to the subscriber list. This setting defines the prompt that appears next to the field.','EMAILERCONTACT', 'mediumValue',NULL,NULL,'Would you like to be emailed updates and other information about our products and services?',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('emailerContactFormListName','Contact Form Subscriber List Name','The name of the subscriber list in the SoftSlate Emailer system that users who sign up from the contact form should be added to. You do not need to create the list in the SoftSlate Emailer account. If it does not already exist, a new list will be created as the first user signs up. (The consolidate subscribers, simply make this list name the same as the one used for the Customer Registrations or Checkout.)','EMAILERCONTACT', 'mediumValue',NULL,NULL,'Online Store Email List',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('emailerContactFormMultipleListPrompt','Contact Form Multiple List Prompt','This setting defines the prompt that appears next to the set of checkboxes asking the user to sign up for multiple lists, as defined in the below setting, Contact Form Multiple List Options.','EMAILERCONTACT', 'mediumValue',NULL,NULL,'Sign up for the following',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('emailerContactFormMultipleListOptions','Contact Form Multiple List Options','In addition to putting all subscribers into the same list, you can present users a series of lists they can sign up for. Populate this field with a pipe-separated (|) list of newsletters or other lists the users can sign up for. If any of the lists do not already exist, a new list will be created as the first user signs up. Eg.: Monthly Newsletter|Special Bulletins|Letters from the President','EMAILERCONTACT', 'textValue',NULL,NULL,NULL,'');

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('emailerContactFormConfirmOptIns','Confirm Contact Form Double Opt-In?','If set to yes, the SoftSlate Emailer system will produce an email to the user, which the user must open and click inside to confirm that he wishes to be added to the list (double opt-in). Note that this setting must be adjusted directly in the SoftSlate Emailer system if the subscriber list has already been created.','EMAILERCONTACT', 'booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('emailerCustomerRegistration','Create Subscribers As Customers Register','Define if and how subscribers in the SoftSlate Emailer system should be created when users create a customer account.','EMAILERREGISTRATION', 'smallValue',NULL,'dontSubscribe',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('emailerCustomerRegistrationOptInPrompt','Customer Registration Opt In Prompt','If the above setting, Create Subscribers As Customers Register, is set to Subscribe Only Users Who Opt In, a field will appear on the customer registration form allowing customers to approve being added to the subscriber list. This setting defines the prompt that appears next to the field.','EMAILERREGISTRATION', 'mediumValue',NULL,NULL,'Would you like to be emailed updates and other information about our products and services?',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('emailerCustomerRegistrationListName','Customer Registration Subscriber List Name','The name of the subscriber list in the SoftSlate Emailer system that users who sign up as they register should be added to. You do not need to create the list in the SoftSlate Emailer account. If it does not already exist, a new list will be created as the first user signs up. (The consolidate subscribers, simply make this list name the same as the one used for the Contact Form or Checkout.)','EMAILERREGISTRATION', 'mediumValue',NULL,NULL,'Online Store Email List',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('emailerCustomerRegistrationConfirmOptIns','Customer Registration Double Opt-In?','If set to yes, the SoftSlate Emailer system will produce an email to the user, which the user must open and click inside to confirm that he wishes to be added to the list (double opt-in). Note that this setting must be adjusted directly in the SoftSlate Emailer system if the subscriber list has already been created.','EMAILERREGISTRATION', 'booleanValue',0,NULL,NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('emailerCheckout','Create Subscribers During Checkout','Define if and how subscribers in the SoftSlate Emailer system should be created when users go through checkout (specifically, submit the Checkout Addresses screen).','EMAILERCHECKOUT', 'smallValue',NULL,'dontSubscribe',NULL,NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('emailerCheckoutOptInPrompt','Checkout Opt In Prompt','If the above setting, Create Subscribers During Checkout, is set to Subscribe Only Users Who Opt In, a field will appear on the Checkout Addresses screen allowing customers to approve being added to the subscriber list. This setting defines the prompt that appears next to the field.','EMAILERCHECKOUT', 'mediumValue',NULL,NULL,'Would you like to be emailed updates and other information about our products and services?',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('emailerCheckoutListName','Checkout Subscriber List Name','The name of the subscriber list in the SoftSlate Emailer system that users who sign up during checkout should be added to. You do not need to create the list in the SoftSlate Emailer account. If it does not already exist, a new list will be created as the first user signs up. (The consolidate subscribers, simply make this list name the same as the one used for the Contact Form or Customer Registrations.)','EMAILERCHECKOUT', 'mediumValue',NULL,NULL,'Online Store Email List',NULL);

INSERT INTO sscSetting (code, name, description, type, valueType, integerValue, smallValue, mediumValue, textValue) 
VALUES ('emailerCheckoutConfirmOptIns','Checkout Double Opt-In?','If set to yes, the SoftSlate Emailer system will produce an email to the user, which the user must open and click inside to confirm that he wishes to be added to the list (double opt-in). Note that this setting must be adjusted directly in the SoftSlate Emailer system if the subscriber list has already been created.','EMAILERCHECKOUT', 'booleanValue',0,NULL,NULL,NULL);
