<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>
<%@ page import="com.softslate.commerce.businessobjects.core.Settings" %>
<%@ page import="java.util.StringTokenizer" %>

<!-- Start settingsAddress.jsp -->

<div class="instructions">
	Use this form to decide which address fields you'd like to prompt your shoppers for, as well as which fields should be required during checkout. 
	In addition, certain fields may be validated to ensure they're filled in correctly. 
	Use the "Validated" column to identify those.
</div>

<br/>

<html:form action="/SettingsProcessAddress" method="post">

		<table width="100%">
			<tr>
				<td width="50%">
			
					<h3 class="administratorSubhead">Billing Fields</h3>
				
					<table class="settingsTable" width="100%">
						<tr>
							<th>Field</th>
							<th>Prompted</th>
							<th>Required</th>
							<th>Validated</th>
						</tr>
					<% 
						String possibleFieldsList = null;
						try {
							Settings settings = (Settings) request.getAttribute("settings");
							possibleFieldsList = (String) settings.getValue("possibleFields");
						} catch (Exception e) {
						}
						StringTokenizer st =	new StringTokenizer(possibleFieldsList, ",");
						while (st.hasMoreTokens()) {
							String thisFieldString = st.nextToken();
							String thisFieldKey = "administrator." + thisFieldString;
					%>
						<tr>
							<td><bean:message key="<%= thisFieldKey %>" bundle="/administrator/administrator"/></td>
							<logic:match name="settings" property="value(billingPrompt)" value="<%= thisFieldString %>">
								<td><input type="checkbox" name="billingPrompt" value="<%= thisFieldString %>" checked="checked"/></td>
							</logic:match>
							<logic:notMatch name="settings" property="value(billingPrompt)" value="<%= thisFieldString %>">
								<td><input type="checkbox" name="billingPrompt" value="<%= thisFieldString %>"/></td>
							</logic:notMatch>
							<logic:match name="settings" property="value(billingRequired)" value="<%= thisFieldString %>">
								<td><input type="checkbox" name="billingRequired" value="<%= thisFieldString %>" checked="checked"/></td>
							</logic:match>
							<logic:notMatch name="settings" property="value(billingRequired)" value="<%= thisFieldString %>">
								<td><input type="checkbox" name="billingRequired" value="<%= thisFieldString %>"/></td>
							</logic:notMatch>
							<logic:match name="settings" property="value(possibleValidatedFields)" value="<%= thisFieldString %>">
								<logic:match name="settings" property="value(billingValidated)" value="<%= thisFieldString %>">
									<td><input type="checkbox" name="billingValidated" value="<%= thisFieldString %>" checked="checked"/></td>
								</logic:match>
								<logic:notMatch name="settings" property="value(billingValidated)" value="<%= thisFieldString %>">
									<td><input type="checkbox" name="billingValidated" value="<%= thisFieldString %>"/></td>
								</logic:notMatch>
							</logic:match>
							<logic:notMatch name="settings" property="value(possibleValidatedFields)" value="<%= thisFieldString %>">
								<td>&#151</td>
							</logic:notMatch>
						</tr>
					<% } %>
					</table>
				</td>
				<td width="50%">
			
					<h3 class="administratorSubhead">Delivery Fields</h3>
					
					<table class="settingsTable" width="100%">
						<tr>
							<th>Field</th>
							<th>Prompted</th>
							<th>Required</th>
							<th>Validated</th>
						</tr>
					<% 
						StringTokenizer st2 =	new StringTokenizer(possibleFieldsList, ",");
						while (st2.hasMoreTokens()) {
							String thisFieldString = st2.nextToken();
							String thisFieldKey = "administrator." + thisFieldString;
					%>
						<tr>
							<td nowrap="nowrap" class="genericData" width="25%"><bean:message key="<%= thisFieldKey %>" bundle="/administrator/administrator"/></td>
							<logic:match name="settings" property="value(deliveryPrompt)" value="<%= thisFieldString %>">
								<td><input type="checkbox" name="deliveryPrompt" value="<%= thisFieldString %>" checked="checked"/></td>
							</logic:match>
							<logic:notMatch name="settings" property="value(deliveryPrompt)" value="<%= thisFieldString %>">
								<td><input type="checkbox" name="deliveryPrompt" value="<%= thisFieldString %>"/></td>
							</logic:notMatch>
							<logic:match name="settings" property="value(deliveryRequired)" value="<%= thisFieldString %>">
								<td><input type="checkbox" name="deliveryRequired" value="<%= thisFieldString %>" checked="checked"/></td>
							</logic:match>
							<logic:notMatch name="settings" property="value(deliveryRequired)" value="<%= thisFieldString %>">
								<td><input type="checkbox" name="deliveryRequired" value="<%= thisFieldString %>"/></td>
							</logic:notMatch>
							<logic:match name="settings" property="value(possibleValidatedFields)" value="<%= thisFieldString %>">
								<logic:match name="settings" property="value(deliveryValidated)" value="<%= thisFieldString %>">
									<td><input type="checkbox" name="deliveryValidated" value="<%= thisFieldString %>" checked="checked"/></td>
								</logic:match>
								<logic:notMatch name="settings" property="value(deliveryValidated)" value="<%= thisFieldString %>">
									<td><input type="checkbox" name="deliveryValidated" value="<%= thisFieldString %>"/></td>
								</logic:notMatch>
							</logic:match>
							<logic:notMatch name="settings" property="value(possibleValidatedFields)" value="<%= thisFieldString %>">
								<td>&#151</td>
							</logic:notMatch>
						</tr>
					<% } %>
					</table>
				
				</td>
			</tr>
		</table>
	
	<logic:present role="superuser,administrator,settingsEdit,settingsAddressEdit">
		<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>

</html:form>


<div class="notes">
	<h3 class="administratorSubhead">Technical Notes</h3>
	<ul class="notesList">
		<li class="note">
			<p>If a customer chooses to use billing information for their delivery address, only those delivery fields marked as "Prompted" will be copied over from billing.</p>
		</li>
	</ul>
</div>
<!-- End settingsAddress.jsp -->
