<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start settingsCheckoutFlow.jsp -->
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>

<html:form action="/SettingsProcessCheckoutFlow" method="post">
	<table class="settingsTable">
		<tr>
			<th class="setting">Setting</th>
			<th class="value">Value</th>
		</tr>
		<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
			<c:choose>
				<c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
				<c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
			</c:choose>
			<logic:match name="settingRow" property="type" value="CHECKOUT">
				<c:set var="setting" value="${settingRow}" scope="request"/>
				<c:choose>
					<%-- These three settings are mutually exclusive, so combine (really should be just one setting) --%>
					<c:when test="${setting.code eq 'combineCheckoutShippingAddresses'}">
					</c:when>
					<c:when test="${setting.code eq 'useAjaxOnePageCheckout'}">
					</c:when>
					<c:when test="${setting.code eq 'useCheckoutCombo'}">
						<script language="JavaScript" type="text/javascript">
							<!--
							    function setCheckoutLayoutSettings() {
									if (document.forms.settingsFormCheckoutFlow.checkoutLayout.value == 'useAjaxOnePageCheckout') {
										document.forms.settingsFormCheckoutFlow.useAjaxOnePageCheckout.value = '1';
										document.forms.settingsFormCheckoutFlow.combineCheckoutShippingAddresses.value = '0';
										document.forms.settingsFormCheckoutFlow.useCheckoutCombo.value = '0';
									} else if (document.forms.settingsFormCheckoutFlow.checkoutLayout.value == 'regularCheckout') {
										document.forms.settingsFormCheckoutFlow.useAjaxOnePageCheckout.value = '0';
										document.forms.settingsFormCheckoutFlow.combineCheckoutShippingAddresses.value = '0';
										document.forms.settingsFormCheckoutFlow.useCheckoutCombo.value = '0';
									} else if (document.forms.settingsFormCheckoutFlow.checkoutLayout.value == 'combineCheckoutShippingAddresses') {
										document.forms.settingsFormCheckoutFlow.useAjaxOnePageCheckout.value = '0';
										document.forms.settingsFormCheckoutFlow.combineCheckoutShippingAddresses.value = '1';
										document.forms.settingsFormCheckoutFlow.useCheckoutCombo.value = '0';
									} else if (document.forms.settingsFormCheckoutFlow.checkoutLayout.value == 'useCheckoutCombo') {
										document.forms.settingsFormCheckoutFlow.useAjaxOnePageCheckout.value = '0';
										document.forms.settingsFormCheckoutFlow.combineCheckoutShippingAddresses.value = '0';
										document.forms.settingsFormCheckoutFlow.useCheckoutCombo.value = '1';
									}
							}
							//-->
						</script>
						<input type="hidden" name="useAjaxOnePageCheckout" value="<c:out value="${settings.map.useAjaxOnePageCheckout}"/>"/>
						<input type="hidden" name="combineCheckoutShippingAddresses" value="<c:out value="${settings.map.combineCheckoutShippingAddresses}"/>"/>
						<input type="hidden" name="useCheckoutCombo" value="<c:out value="${settings.map.useCheckoutCombo}"/>"/>
						<c:choose>
							<c:when test="${settings.map.useAjaxOnePageCheckout eq '1'}">
								<c:set var="checkoutLayout" value="useAjaxOnePageCheckout"/>
							</c:when>
							<c:when test="${settings.map.useCheckoutCombo eq '1'}">
								<c:set var="checkoutLayout" value="useCheckoutCombo"/>
							</c:when>
							<c:when test="${settings.map.combineCheckoutShippingAddresses eq '1'}">
								<c:set var="checkoutLayout" value="combineCheckoutShippingAddresses"/>
							</c:when>
							<c:otherwise>
								<c:set var="checkoutLayout" value="regularCheckout"/>
							</c:otherwise>
						</c:choose>
						<tr class="<c:out value="${requestScope.thisClass}"/>">
							<td class="setting"><label for="checkoutLayout">Checkout Layout</label>:</td>
							<td class="value">
								<table>
									<tr>
										<td><input style="margin-top: 5px" type="radio" name="checkoutLayout" value="useAjaxOnePageCheckout" id="checkoutLayout-useAjaxOnePageCheckout" <c:if test="${checkoutLayout eq 'useAjaxOnePageCheckout'}">checked="checked"</c:if> onclick="javascript:setCheckoutLayoutSettings()" /></td>
										<td>
											<label for="checkoutLayout-useAjaxOnePageCheckout">Ajax One-Page Checkout Form</label>
											<div class="settingDescription">The checkout process will feature a single screen with address, shipping, and payment form fields, rather than separate screens. 
											Ajax is used to communicate with the server after each step. 
											This allows you to use this form even if you use UPS, FedEx, or USPS, where the delivery address must be submitted before shipping options can be displayed. </div>
										</td>
									</tr>
									<tr>
										<td><input style="margin-top: 5px" type="radio" name="checkoutLayout" value="regularCheckout" id="checkoutLayout-regularCheckout" <c:if test="${checkoutLayout eq 'regularCheckout'}">checked="checked"</c:if> onclick="javascript:setCheckoutLayoutSettings()" /></td>
										<td><label for="checkoutLayout-regularCheckout">Separate Screens for Each Checkout Step</label></td>
									</tr>
									<tr>
										<td><input style="margin-top: 5px" type="radio" name="checkoutLayout" value="combineCheckoutShippingAddresses" id="checkoutLayout-combineCheckoutShippingAddresses" <c:if test="${checkoutLayout eq 'combineCheckoutShippingAddresses'}">checked="checked"</c:if> onclick="javascript:setCheckoutLayoutSettings()" /></td>
										<td><label for="checkoutLayout-combineCheckoutShippingAddresses">Combined Address and Shipping Screen, Separate Payment Screen</label>
											<div class="settingDescription">the checkout process will feature a single screen with address form fields and shipping options, 
											rather than separate address and shipping screens. The payment screen will be separate.</div></td>
									</tr>
									<tr>
										<td><input style="margin-top: 5px" type="radio" name="checkoutLayout" value="useCheckoutCombo" id="checkoutLayout-useCheckoutCombo" <c:if test="${checkoutLayout eq 'useCheckoutCombo'}">checked="checked"</c:if> onclick="javascript:setCheckoutLayoutSettings()" /></td>
										<td><label for="checkoutLayout-useCheckoutCombo">Combined Address, Shipping, and Payment Screen</label>
											<div class="settingDescription">The checkout process will feature a single screen with address, shipping, and payment form fields, rather than separate screens. 
											<strong>Warning: This option should not be used with some payment methods such as the Accept.js and Accept Hosted options under Authorize.net.</strong></div></td>
									</tr>
								</table>
							</td>
						</tr>
					</c:when>
					<c:when test="${setting.code eq 'emailerCheckout'}">
						<tr>
							<td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
							<td class="value">
								<input type="radio" name="emailerCheckout" value="dontSubscribe" <logic:match name="setting" property="smallValue" value="dontSubscribe">checked="checked"</logic:match>/> Don't Subscribe Any Users As They Go Through Checkout
								<br/>
								<input type="radio" name="emailerCheckout" value="subscribeAll" <logic:match name="setting" property="smallValue" value="subscribeAll">checked="checked"</logic:match>/> Subscribe All Users As They Go Through Checkout
								<br/>
								<input type="radio" name="emailerCheckout" value="subscribeOptIns" <logic:match name="setting" property="smallValue" value="subscribeOptIns">checked="checked"</logic:match>/> Subscribe Only Users Who Opt In (See Below Settings)
								<br/><br/>
								<div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
							</td>
						</tr>
					</c:when>
					<c:otherwise>
						<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
					</c:otherwise>
				</c:choose>
			</logic:match>
		</logic:iterate>
	</table>
	<logic:present role="superuser,administrator,settingsEdit,settingsCheckoutFlowEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>
<!-- End settingsCheckoutFlow.jsp -->
