<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start settingsThemes.jsp -->

<div class="instructions">
	<p>Use this form to choose the look-and-feel theme for your store. 
	Each theme provides a separate design for the store's header, footer, and navigation including fonts, colors, and layout.</p>
</div>

<br/>

<div class="important">
	<p>These themes only apply to the default-html5 layout. For the default-html5 layout, see the <a href="SettingsThemes.do">Themes (xhtml) screen</a>.</p>
	<p>Bootstrap themes courtesy of <a target="_new" href="http://bootswatch.com">bootswatch.com</a>. Copyright 2012-2014 Thomas Park, Licensed under MIT.</p>
</div>

<br/>

<html:form action="/SettingsProcessHtml5Themes" method="post">
	<logic:iterate name="administratorSettings" id="settingRow" indexId="index">
		<logic:match name="settingRow" property="type" value="HTML5THEMES">
			<c:set var="setting" value="${settingRow}" scope="request"/>
			<c:choose>
				<c:when test="${setting.code eq 'html5CssTheme'}">
					<table class="settingsTable">
						<tr>
							<td class="setting"><c:out value="${setting.name}"/>:</td>
							<td class="value">
								<input id="css" type="radio" name="<c:out value="${setting.code}"/>" value="" <c:if test="${empty setting.smallValue or setting.smallValue eq 'css'}">checked="checked"</c:if>/>
								<label for="css">Basic</label>
								<br/>
								<input id="amelia" type="radio" name="<c:out value="${setting.code}"/>" value="amelia" <c:if test="${setting.smallValue eq 'amelia'}">checked="checked"</c:if> />
								<label for="amelia">Amelia</label>
								<br/>
								<input id="cerulean" type="radio" name="<c:out value="${setting.code}"/>" value="cerulean" <c:if test="${setting.smallValue eq 'cerulean'}">checked="checked"</c:if> />
								<label for="cerulean">Cerulean</label>
								<br/>
								<input id="cosmo" type="radio" name="<c:out value="${setting.code}"/>" value="cosmo" <c:if test="${setting.smallValue eq 'cosmo'}">checked="checked"</c:if> />
								<label for="cosmo">Cosmo</label>
								<br/>
								<input id="cyborg" type="radio" name="<c:out value="${setting.code}"/>" value="cyborg" <c:if test="${setting.smallValue eq 'cyborg'}">checked="checked"</c:if> />
								<label for="cyborg">Cyborg</label>
								<br/>
								<input id="flatly" type="radio" name="<c:out value="${setting.code}"/>" value="flatly" <c:if test="${setting.smallValue eq 'flatly'}">checked="checked"</c:if> />
								<label for="flatly">Flatly</label>
								<br/>
								<input id="journal" type="radio" name="<c:out value="${setting.code}"/>" value="journal" <c:if test="${setting.smallValue eq 'journal'}">checked="checked"</c:if> />
								<label for="journal">Journal</label>
								<br/>
								<input id="lumen" type="radio" name="<c:out value="${setting.code}"/>" value="lumen" <c:if test="${setting.smallValue eq 'lumen'}">checked="checked"</c:if> />
								<label for="lumen">Lumen</label>
								<br/>
								<input id="readable" type="radio" name="<c:out value="${setting.code}"/>" value="readable" <c:if test="${setting.smallValue eq 'readable'}">checked="checked"</c:if> />
								<label for="readable">Readable</label>
								<br/>
								<input id="shamrock" type="radio" name="<c:out value="${setting.code}"/>" value="shamrock" <c:if test="${setting.smallValue eq 'shamrock'}">checked="checked"</c:if> />
								<label for="shamrock">Shamrock</label>
								<br/>
								<input id="simplex" type="radio" name="<c:out value="${setting.code}"/>" value="simplex" <c:if test="${setting.smallValue eq 'simplex'}">checked="checked"</c:if> />
								<label for="simplex">Simplex</label>
								<br/>
								<input id="slate" type="radio" name="<c:out value="${setting.code}"/>" value="slate" <c:if test="${setting.smallValue eq 'slate'}">checked="checked"</c:if> />
								<label for="slate">Slate</label>
								<br/>
								<input id="spacelab" type="radio" name="<c:out value="${setting.code}"/>" value="spacelab" <c:if test="${setting.smallValue eq 'spacelab'}">checked="checked"</c:if> />
								<label for="spacelab">Spacelab</label>
								<br/>
								<input id="superhero" type="radio" name="<c:out value="${setting.code}"/>" value="superhero" <c:if test="${setting.smallValue eq 'superhero'}">checked="checked"</c:if> />
								<label for="superhero">Superhero</label>
								<br/>
								<input id="united" type="radio" name="<c:out value="${setting.code}"/>" value="united" <c:if test="${setting.smallValue eq 'united'}">checked="checked"</c:if> />
								<label for="united">United</label>
								<br/>
								<input id="yeti" type="radio" name="<c:out value="${setting.code}"/>" value="yeti" <c:if test="${setting.smallValue eq 'yeti'}">checked="checked"</c:if> />
								<label for="yeti">Yeti</label>
							</td>
						</tr>
					</table>
				 	<br/>
				 	<br/>
				</c:when>
				<c:otherwise>
					<table class="settingsTable">
						<ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
					</table>
				</c:otherwise>
			</c:choose>
		</logic:match>
	</logic:iterate>
	<logic:present role="superuser,administrator,settingsEdit,settingsThemesEdit">
    	<div class="saveSettings">
			<input type="submit" class="button" value="Save Settings"/>
		</div>
	</logic:present>
</html:form>

<div class="helpLinks">
	<h3 class="administratorSubhead">Related Actions</h3>
	<ul class="helpLinkList">
		<li><a href="SettingsStoreLogo.do">Store Logo Upload form</a></li>
		<li><a href="SettingsGeneralDisplay.do">General Display Settings</a></li>
	</ul>
</div>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Apply my own logo, font, and colors on top of one of these themes">
				<p>You may upload your own logo for the store by using the <a href="SettingsStoreLogo.do">Store Logo Upload form</a>.
				When you upload a logo, it will appear in the header of all the store pages, and it will not otherwise affect the store's theme.
				If no logo has been uploaded, the store's name appears instead.</p>
				<p>In addition to the theme and logo, you can customize several key colors and the font used by the store with the
				<a href="SettingsGeneralDisplay.do">General Display Settings</a> form.
				When you define these fonts and colors, they are applied on top of the theme you choose, replacing the theme's default
				colors and font.
				It's a good way to apply your own branding to the store while still leverage the basic look and feel of the theme you choose.</p> 
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Customize one of these themes using CSS">
				<p>Each of the themes corresponds to a Cascading Stylesheet (CSS) in the /css directory.
				You can customize the CSS style definitions with the custom.css file in the /css/custom directory.
				Use that file to add new style definitions or override those of the themes, and they will be incorporated automatically.
				Editing custom.css will not affect future store upgrades. Upgrades will not overwrite that file.</p>
				<p>Note that all of the store themes extend the base theme's style definitions as defined in the /css/base/base.css stylesheet.</p>
				<p>For full details, please visit the <a href="http://www.softslate.com/documentation/html/cssThemes.html">CSS Themes section</a> of the User Guide.</p>
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Create a new layout for the store using JSP">
				<p>For complete control over your store's look and feel, you may create custom versions of each of the JSP templates used by the store.
				Visit the chapter on <a href="http://www.softslate.com/documentation/html/creatingCustomLayout.html">Creating a Custom Layout</a> of the User Guide for full details.</p>
			</ssc:help>
		</li>
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Show different layouts to different visitors">
				<p>For even more flexibility with your store's look and feel, you can create multiple layouts and show different ones to 
				different users based on the value of the URL parameter named "layout". </p>
				<p>For full details, visit the chapter on <a href="http://www.softslate.com/documentation/html/multipleCustomLayouts.html">Multiple Custom Layouts</a> of the User Guide.</p>
			</ssc:help>
		</li>
	</ul>
</div>
<!-- End settingsThemes.jsp -->
