<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start settingsMailChimpForm.jsp -->
<c:set var="administratorURL" value="${settings.map.administratorURL}" />
<c:set var="rowClass" value="row"/>
<c:set var="altRowClass" value="altRow"/>

<div class="instructions">
    Use these settings to define how your store connects to the Mail Chimp email service.
</div>

<br/>
<html:form action="/SettingsProcessMailChimp" method="post">
    <table class="settingsTable">
        <tr>
            <th class="setting">Setting</th>
            <th class="value">Value</th>
        </tr>
        <logic:iterate name="administratorSettings" id="settingRow" indexId="index">
            <c:choose>
                <c:when test="${thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
                <c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
            </c:choose>
            <logic:match name="settingRow" property="type" value="MAILCHIMP">
                <c:choose>
                    <c:when test="${requestScope.thisClass eq altRowClass}"><c:set var="thisClass" scope="request" value="${rowClass}"/></c:when>
                    <c:otherwise><c:set var="thisClass" scope="request" value="${altRowClass}"/></c:otherwise>
                </c:choose>
                <c:set var="setting" value="${settingRow}" scope="request"/>
                <c:choose>
                    <c:when test="${setting.code eq 'mailChimpContactForm' or setting.code eq 'mailChimpCustomerRegistration' or setting.code eq 'mailChimpCheckout'}">
                        <tr>
                            <td class="setting"><label for="<c:out value="${setting.code}"/>"><c:out value="${setting.name}"/></label>:</td>
                            <td class="value">
                                <input type="radio" name="<c:out value="${setting.code}"/>" value="dontSubscribe" <logic:match name="setting" property="smallValue" value="dontSubscribe">checked="checked"</logic:match>/> Don't Subscribe Any Users
                                <br/>
                                <input type="radio" name="<c:out value="${setting.code}"/>" value="subscribeAll" <logic:match name="setting" property="smallValue" value="subscribeAll">checked="checked"</logic:match>/> Subscribe All Users
                                <br/>
                                <input type="radio" name="<c:out value="${setting.code}"/>" value="subscribeOptIns" <logic:match name="setting" property="smallValue" value="subscribeOptIns">checked="checked"</logic:match>/> Subscribe Only Users Who Opt In
                                <br/><br/>
                                <div class="settingDescription"><c:out value="${setting.description}" escapeXml="false"/></div>
                            </td>
                        </tr>
                    </c:when>
                    <c:otherwise>
                        <ssc:insert page="/WEB-INF/templates/administrator/default/core/setting.jsp" flush="false"/>
                    </c:otherwise>
                </c:choose>
            </logic:match>
        </logic:iterate>
    </table>
    <logic:present role="superuser,administrator,settingsEdit,settingsMailChimpEdit">
        <div class="saveSettings">
            <input type="submit" class="button" value="Save Settings"/>
        </div>
    </logic:present>
</html:form>

<div class="helpLinks">
    <h3 class="administratorSubhead">How Do I ... </h3>
    <ul class="helpLinkList inline">
        <li class="inline">
            <ssc:help type="inline" topic="How Do I ..." title="Sign Up for MailChimp">
                <p><a href="http://mailchimp.com/signup" target="_new">Click here</a> to sign up for MailChimp.
                <p>Once your account is established, enter its details above to complete the integration with your store.</p>
            </ssc:help>
        </li>
    </ul>
</div>
<!-- End settingsMailChimpForm.jsp -->
