<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start orderShippingRuleFormGuts.jsp -->
<bean:define id="states" name="statesAndCountries" property="states"/>
<bean:define id="countries" name="statesAndCountries" property="countries"/>

<logic:notEmpty name="orderShippingRuleAddEditForm" property="parentName">
	<html:hidden name="orderShippingRuleAddEditForm" property="parentName" />
</logic:notEmpty>
<html:hidden name="orderShippingRuleAddEditForm" property="orderID" />

<tr>
	<td class="setting">Name:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="orderShippingRuleAddEditForm" property="name" />
	<div class="fieldDescription">The name of this shipping rule.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Code:</td>
	<td class="value"><html:text styleClass="length100" maxlength="255" name="orderShippingRuleAddEditForm" property="code" />
	<div class="fieldDescription">A unique code for this shipping rule, used by the system to identify it.</div>
	</td>
</tr>
<tr>
	<td class="setting" valign="top">
		Type of Shipping Rule:
	</td>
	<td class="value">
		<logic:match name="isAddOrEdit" value="edit">
			<html:hidden name="orderShippingRuleAddEditForm" property="ruleType" />
			<logic:match name="orderShippingRuleAddEditForm" property="ruleType" value="[package]">
				Package Size or Weight Rule
			</logic:match>
			<logic:match name="orderShippingRuleAddEditForm" property="ruleType" value="[discount]">
				Shipping Discount Rule
			</logic:match>
			<logic:match name="orderShippingRuleAddEditForm" property="ruleType" value="[methodlimit]">
				Method Limit by SKUs Rule
			</logic:match>
			<logic:match name="orderShippingRuleAddEditForm" property="ruleType" value="[limitByLocation]">
				Method Limit by Location Rule
			</logic:match>
		</logic:match>
		<logic:match name="isAddOrEdit" value="add">
		<table cellpadding="2">
			<tr>
				<td>
					<html:radio name="orderShippingRuleAddEditForm" property="ruleType" value="[package]" />
				</td>
				<td>
					Package Size or Weight Rule: Select this to define package weights and dimensions based on sku quantity
				</td>
			</tr>
			<tr>
				<td>
					<html:radio name="orderShippingRuleAddEditForm" property="ruleType" value="[discount]" />
				</td>
				<td>
					Shipping Discount Rule: Select this to define discounts on shipping or free shipping based on sku quantity
				</td>
			</tr>
			<tr>
				<td>
					<html:radio name="orderShippingRuleAddEditForm" property="ruleType" value="[methodlimit]" />
				</td>
				<td>
					Method Limit Rule: Select this to define only which shipping methods are allowed and dissallowed based on sku quantity.
					(Method limits may also be made with the other rule types.)
				</td>
			</tr>
			<tr>
				<td>
					<html:radio name="orderShippingRuleAddEditForm" property="ruleType" value="[limitByLocation]" />
				</td>
				<td>
					Method Limit by Location Rule: Select this to define which shipping methods are allowed and dissallowed based on the customer's delivery location.
					(Method limits may also be made with the other rule types.)
				</td>
			</tr>
		</table>
		</logic:match>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Order Item ID:</td>
	<td class="value">
		<html:text maxlength="16" name="orderShippingRuleAddEditForm" property="orderItemID" />
		<c:if test="${!empty orderShippingRuleAddEditForm.orderItemID and orderShippingRuleAddEditForm.orderItemID ne 0}">&nbsp;<a href="OrderItemEditForm.do?orderItemID=${orderShippingRuleAddEditForm.orderItemID}">Order Item Details</a></c:if>
	</td>
</tr>
<tr>
	<td class="setting">Shipping Rule ID:</td>
	<td class="value">
		<html:text maxlength="16" name="orderShippingRuleAddEditForm" property="shippingRuleID" />
		<c:if test="${!empty orderShippingRuleAddEditForm.shippingRuleID and orderShippingRuleAddEditForm.shippingRuleID ne 0}">&nbsp;<a href="ShippingRuleEditForm.do?shippingRuleID=${orderShippingRuleAddEditForm.shippingRuleID}">Shipping Rule Details</a></c:if>
	</td>
</tr>
<!-- Start Package Type Rule  -->
<logic:equal name="orderShippingRuleAddEditForm" property="ruleType" value="[package]">
<tr class="altRow">
	<td class="setting">Total (Qty. In Package):</td>
	<td class="value">
		<html:text size="10" maxlength="10" name="orderShippingRuleAddEditForm" property="total"/>
	</td>
</tr>
<tr>
	<td class="setting">Sku Quantity Floor:</td>
	<td class="value">
		<html:text size="10" maxlength="10" name="orderShippingRuleAddEditForm" property="floor"/>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Sku Quantity Ceiling:</td>
	<td class="value">
		<html:text size="10" maxlength="10" name="orderShippingRuleAddEditForm" property="ceiling"/>
		<div class="fieldDescription">(The maximum number of items for this package. Must be greater than 0.)</div>
	</td>
</tr>
<tr>
	<td class="setting">Package Weight:</td>
	<td class="value">
		<html:text size="10" maxlength="10" name="orderShippingRuleAddEditForm" property="pkgWeight"/>
		<div class="fieldDescription">If the floor and ceiling are equal, this value is the total weight of the package including products.
		Otherwise, if the floor and ceiling identify a range, this package's proportion of product weight is added to the value.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Package Width:</td>
	<td class="value">
		<html:text size="10" maxlength="10" name="orderShippingRuleAddEditForm" property="pkgWidth"/>
	</td>
</tr>
<tr>
	<td class="setting">Package Height:</td>
	<td class="value">
		<html:text size="10" maxlength="10" name="orderShippingRuleAddEditForm" property="pkgHeight"/>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Package Length:</td>
	<td class="value">
		<html:text size="10" maxlength="10" name="orderShippingRuleAddEditForm" property="pkgLength"/>
	</td>
</tr>
<tr>
	<td class="setting">Package Extra 1:</td>
	<td class="value">
		<html:text maxlength="255" name="orderShippingRuleAddEditForm" property="pkgExtra1"/>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Package Extra 2:</td>
	<td class="value">
		<html:text maxlength="255" name="orderShippingRuleAddEditForm" property="pkgExtra2"/>
	</td>
</tr>
<tr>
	<td class="setting">Package Extra 3:</td>
	<td class="value">
		<html:text maxlength="255" name="orderShippingRuleAddEditForm" property="pkgExtra3"/>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Package Extra 4:</td>
	<td class="value">
		<html:text maxlength="255" name="orderShippingRuleAddEditForm" property="pkgExtra4"/>
	</td>
</tr>
<tr>
	<td class="setting">Package Extra 5:</td>
	<td class="value">
		<html:text maxlength="255" name="orderShippingRuleAddEditForm" property="pkgExtra5"/>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Package Description:</td>
	<td class="value">
		<html:text maxlength="255" name="orderShippingRuleAddEditForm" property="pkgDescription"/>
	</td>
</tr>
<tr>
	<td class="setting">Limit Shipping Method Type:</td>
	<td class="value">
			<html:select name="orderShippingRuleAddEditForm" property="limitType" styleClass="genericGridData">
				<html:option value="[allow]">Allow These Methods Only</html:option>
				<html:option value="[disallow]">Allow All Methods Except These</html:option>
			</html:select>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Limit Shipping Methods:</td>
	<td class="value">
			<html:textarea rows="10" name="orderShippingRuleAddEditForm" property="limitMethods" />
			<br>Comma delimited list of shipping processor and method.<br>
			Example: UPSShippingProcessor|02,BasicShippingProcessor|Express
	</td>
</tr>
</logic:equal>
<!-- End Package Type Rule -->


<!-- Start Discount Type Rule  -->
<logic:equal name="orderShippingRuleAddEditForm" property="ruleType" value="[discount]">
<tr class="altRow">
	<td class="setting">Total:</td>
	<td class="value">
		<html:text size="10" maxlength="10" name="orderShippingRuleAddEditForm" property="total"/>
	</td>
</tr>
<tr>
	<td class="setting">Floor:</td>
	<td class="value">
		<html:text size="10" maxlength="10" name="orderShippingRuleAddEditForm" property="floor"/>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Ceiling:</td>
	<td class="value">
		<html:text size="10" maxlength="10" name="orderShippingRuleAddEditForm" property="ceiling"/>
		<div class="fieldDescription">(Use 0 for no upper limit.)</div>
	</td>
</tr>
<tr>
	<td align="right"><html:radio name="orderShippingRuleAddEditForm" property="discountType" value="[percentage]"/></td>
	<td>This percentage off the computed shipping cost: <html:text size="5" maxlength="12" name="orderShippingRuleAddEditForm" property="discountPercentage"/>%</td>
</tr>
<tr class="altRow">
	<td align="right"><html:radio name="orderShippingRuleAddEditForm" property="discountType" value="[amount]"/></td>
	<td>This amount off the computed shipping cost: <html:text size="5" maxlength="12" name="orderShippingRuleAddEditForm" property="discountAmount"/></td>
</tr>
<tr>
	<td class="setting">Limit Shipping Method Type:</td>
	<td class="value">
			<html:select name="orderShippingRuleAddEditForm" property="limitType" styleClass="genericGridData">
				<html:option value="[allow]">Allow These Methods Only</html:option>
				<html:option value="[disallow]">Allow All Methods Except These</html:option>
			</html:select>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Limit Shipping Methods:</td>
	<td class="value">
			<html:textarea rows="10" name="orderShippingRuleAddEditForm" property="limitMethods" />
			<br>Comma delimited list of shipping processor and method.<br>
			Example: UPSShippingProcessor|02,BasicShippingProcessor|Express
	</td>
</tr>
</logic:equal>
<!-- End Discount Type Rule -->


<!-- Start Method Limit Type Rule  -->
<logic:equal name="orderShippingRuleAddEditForm" property="ruleType" value="[methodlimit]">
<tr class="altRow">
	<td class="setting">Floor:</td>
	<td class="value">
		<html:text size="10" maxlength="10" name="orderShippingRuleAddEditForm" property="floor"/>
	</td>
</tr>
<tr>
	<td class="setting">Ceiling:</td>
	<td class="value">
		<html:text size="10" maxlength="10" name="orderShippingRuleAddEditForm" property="ceiling"/>
		<div class="fieldDescription">(Use 0 for no upper limit.)</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Limit Shipping Method Type:</td>
	<td class="value">
			<html:select name="orderShippingRuleAddEditForm" property="limitType" styleClass="genericGridData">
				<html:option value="[allow]">Allow These Methods Only</html:option>
				<html:option value="[disallow]">Allow All Methods Except These</html:option>
			</html:select>
	</td>
</tr>
<tr>
	<td class="setting">Limit Shipping Methods:</td>
	<td class="value">
			<html:textarea rows="10" name="orderShippingRuleAddEditForm" property="limitMethods" />
			<br>Comma delimited list of shipping processor and method.<br>
			Example: UPSShippingProcessor|02,BasicShippingProcessor|Express
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Total:</td>
	<td class="value">
		<html:text size="10" maxlength="10" name="orderShippingRuleAddEditForm" property="total"/>
	</td>
</tr>
</logic:equal>
<!-- End Method Limit Type Rule -->


<!-- Start Method Limit by Location Type Rule  -->
<logic:equal name="orderShippingRuleAddEditForm" property="ruleType" value="[limitByLocation]">
	<tr class="altRow">
		<td class="setting" valign="top">Countries:</td>
		<td class="value">
			<select name="countriesArray" multiple="multiple" size="10">
			<logic:iterate name="countries" id="country">
				<bean:define id="countryCode" name="country" property="code" type="java.lang.String"/>
				<c:set var="countryName" value="${country.name}"/>
				<c:if test="${country.code eq 'US'}">
					<c:set var="countryName" value="${country.name} (All States)"/>
				</c:if>
				<c:if test="${country.code eq 'CA'}">
					<c:set var="countryName" value="${country.name} (All Provinces)"/>
				</c:if>
				<logic:match name="orderShippingRuleAddEditForm" property="countries" value="<%= countryCode %>">
					<option value="<%= countryCode %>" selected="selected"><c:out value="${countryName}"/></option>
				</logic:match>
				<logic:notMatch name="orderShippingRuleAddEditForm" property="countries" value="<%= countryCode %>">
					<option value="<%= countryCode %>"><c:out value="${countryName}"/></option>
				</logic:notMatch>
			</logic:iterate>
			</select>
			<br/>
			This rule will be applied if the customer's delivery address is in one of the above selected countries, 
			OR one of the below selected states or provinces.
			(Hold down the CTRL key to select multiple items.)
		</td>
	</tr>
	<tr>
		<td class="setting" valign="top">States:</td>
		<td class="value">
			<select name="statesArray" multiple="multiple" size="10">
			<logic:iterate name="states" id="state">
				<bean:define id="stateCode" name="state" property="code" type="java.lang.String"/>
				<c:set var="stateName" value="${state.name}"/>
				<logic:match name="orderShippingRuleAddEditForm" property="states" value="<%= stateCode %>">
					<option value="<%= stateCode %>" selected="selected"><c:out value="${stateName}"/></option>
				</logic:match>
				<logic:notMatch name="orderShippingRuleAddEditForm" property="states" value="<%= stateCode %>">
					<option value="<%= stateCode %>"><c:out value="${stateName}"/></option>
				</logic:notMatch>
			</logic:iterate>
			</select>
		</td>
	</tr>
	<tr class="altRow">
		<td class="setting">Limit Shipping Method Type:</td>
		<td class="value">
				<html:select name="orderShippingRuleAddEditForm" property="limitType" styleClass="genericGridData">
					<html:option value="[allow]">Allow These Methods Only</html:option>
					<html:option value="[disallow]">Allow All Methods Except These</html:option>
				</html:select>
		</td>
	</tr>
	<tr>
		<td class="setting">Limit Shipping Methods:</td>
		<td class="value">
				<html:textarea rows="10" name="orderShippingRuleAddEditForm" property="limitMethods" />
				<br>Comma delimited list of shipping processor and method.<br>
				Example: UPSShippingProcessor|02,BasicShippingProcessor|Express
		</td>
	</tr>
	<tr class="altRow">
		<td class="setting">Total:</td>
		<td class="value">
			<html:text size="10" maxlength="10" name="orderShippingRuleAddEditForm" property="total"/>
		</td>
	</tr>
</logic:equal>
<!-- End Method Limit by Location Rule -->

<tr>
	<td class="setting">Extra Field 1:</td>
	<td class="value"><html:text maxlength="255" name="orderShippingRuleAddEditForm" property="extra1" />
	<div class="fieldDescription">Any extra, or custom information associated with this product.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="setting">Extra Field 2:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="orderShippingRuleAddEditForm" property="extra2" /></td>
</tr>
<tr>
	<td class="setting">Extra Field 3:</td>
	<td class="value"><html:text styleClass="textbox" maxlength="255" name="orderShippingRuleAddEditForm" property="extra3" /></td>
</tr>
<!-- End orderShippingRuleFormGuts.jsp -->
