<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start attributeFormGuts.jsp -->
<tr>
	<td class="genericLabel">Name:</td>
	<td><html:text maxlength="255" name="attributeAddEditForm" property="attributeName" />
	<div class="fieldDescription">The name of this attribute as it appears to customers (may include HTML tags).</div>
	</td>
</tr>
<tr class="altRow">
	<td class="genericLabel">Code:</td>
	<td><html:text maxlength="100" name="attributeAddEditForm" property="attributeCode" />
	<div class="fieldDescription">A unique code for this attribute, used by the system to identify it. (No spaces,
	commas, or pipe characters.) If left blank, the system will automatically generate the code from the name.</div>
	</td>
</tr>
<tr>
	<td class="genericLabel">Type:</td>
	<td><html:select name="attributeAddEditForm" property="attributeType">
		<html:option value="compact">Compact (drop down)</html:option>
		<html:option value="expanded">Expanded (radio)</html:option>
		<html:option value="compactInput">Compact Input (text field)</html:option>
		<html:option value="expandedInput">Expanded Input (text area)</html:option>
		<html:option value="yesNo">Yes/No (checkbox)</html:option>
	</html:select>
	<div class="fieldDescription">Determines how this attribute and its options will be displayed on the product
	page. Note that the "Compact (drop down)" and "Expanded (radio)" types require options to be present under this
	attribute to display correctly.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="genericLabel">Price:</td>
	<td><html:text size="10" maxlength="9" name="attributeAddEditForm" property="attributeUnitPrice" />
	<div class="fieldDescription">This attribute's price, used for display to customers and for calculating order
	totals.</div>
	</td>
</tr>
<tr>
	<td class="genericLabel">Alternate Price:</td>
	<td><html:text size="10" maxlength="9" name="attributeAddEditForm" property="attributeAltPrice" />
	<div class="fieldDescription">An alternate price for the attribute. (Not used in any processing logic.)</div>
	</td>
</tr>
<tr class="altRow">
	<td class="genericLabel">Cost:</td>
	<td><html:text size="10" maxlength="9" name="attributeAddEditForm" property="attributeUnitCost" />
	<div class="fieldDescription">This attribute's (manufacturing or other) cost. (Not used in any processing logic.)
	</div>
	</td>
</tr>
<tr>
	<td class="genericLabel">Weight:</td>
	<td><html:text size="10" maxlength="9" name="attributeAddEditForm" property="attributeWeight" />
	<div class="fieldDescription">This attribute's weight. Used to calculate shipment weights.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="genericLabel">Description:</td>
	<td><html:textarea rows="10" name="attributeAddEditForm" property="attributeDescription" />
	<div class="fieldDescription">A description for this attribute as displayed to customers (may include HTML tags).
	</div>
	</td>
</tr>
<tr>
	<td class="genericLabel">Small Image Path:</td>
	<td><html:text size="40" maxlength="255" name="attributeAddEditForm" property="attributeSmallImage" />
	<div class="fieldDescription">A thumbnail image for this attribute. (Enter a URL path to the image.)</div>
	</td>
</tr>
<tr class="altRow">
	<td class="genericLabel">Large Image:</td>
	<td><html:text size="40" maxlength="255" name="attributeAddEditForm" property="attributeLargeImage" />
	<div class="fieldDescription">A larger image for this attribute. (Enter a URL path to the image.)</div>
	</td>
</tr>
<tr>
	<td class="genericLabel">Attribute Order:</td>
	<td><html:text size="5" maxlength="10" name="attributeAddEditForm" property="attributeOrder" />
	<div class="fieldDescription">The order in which this attribute will appear relative to other attributes on the
	product page.</div>
	</td>
</tr>
<tr class="altRow">
	<td class="genericLabel">Required:</td>
	<td class="genericData"><html:radio name="attributeAddEditForm" property="attributeIsRequired" value="true" />
	yes &nbsp;&nbsp; <html:radio name="attributeAddEditForm" property="attributeIsRequired" value="false" /> no
	<div class="fieldDescription">If true, the customer must enter a value or choose a selection for this attribute
	before being able to add the product to the cart.</div>
	</td>
</tr>
<tr>
	<td class="genericLabel">Active:</td>
	<td class="genericData"><html:radio name="attributeAddEditForm" property="attributeIsActive" value="true" /> yes
	&nbsp;&nbsp; <html:radio name="attributeAddEditForm" property="attributeIsActive" value="false" /> no
	<div class="fieldDescription">If false, this attribute will not appear to customers.</div>
	</td>
</tr>
<logic:notEmpty name="attributeOptions">
	<tr class="altRow">
		<td class="genericLabel">Default Option:</td>
		<td><html:select name="attributeAddEditForm" property="defaultOptionID">
			<logic:empty name="attributeAddEditForm" property="defaultOptionID">
				<option value="0" selected="selected">[None]</option>
			</logic:empty>
			<logic:notEmpty name="attributeAddEditForm" property="defaultOptionID">
				<option value="0">[None]</option>
			</logic:notEmpty>
			<html:options collection="attributeOptions" property="optionID" labelProperty="optionName" />
		</html:select>
		<div class="fieldDescription">The option under this attribute that will be pre-selected by default when
		customers first arrive at the product page.</div>
		</td>
	</tr>
</logic:notEmpty>
<!-- End attributeFormGuts.jsp -->
