<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start discountEditForm.jsp -->
<c:if test="${discount.itemsAppliesType eq '[skus]' and empty discount.skuDiscounts and discount.skuDiscounts['empty']}">
	<div class="important addEditNotes">
		This discount only applies to the SKUs assigned to it, but no SKUs have been assigned to it yet. 
		<a href="<c:out value="${settings.map.administratorURL}"/>/SKU.do?discountID=<c:out value="${discount.discountID}"/>&assignments=assigned&parentIDField=discountID">Assign SKUs to this discount.</a>
	</div>
</c:if>
<c:if test="${(discount.rewardType eq '[rangeByQuantity]' or discount.rewardType eq '[rangeByPrice]') and empty discount.discountRanges and discount.discountRanges['empty']}">
	<div class="important addEditNotes">
		The reward for this discount is defined by the ranges under it, but no ranges have been defined for it yet. 
		<a href="<c:out value="${settings.map.administratorURL}"/>/DiscountRange.do?discountID=<c:out value="${discount.discountID}"/><c:if test="${!empty sku}">&amp;skuID=<c:out value="${sku.skuID}"/></c:if><c:if test="${!empty product}">&amp;productID=<c:out value="${product.productID}"/></c:if>">Define the ranges for this discount.</a>
	</div>
</c:if>
<html:form action="/DiscountEdit" method="post">
	<html:hidden name="discountAddEditForm" property="discountID" />
	<table class="addEditTable settingsTable">
		<tr>
			<td class="genericLabel">
				Discount ID:
			</td>
			<td>
				<bean:write name="discountAddEditForm" property="discountID" />
			</td>
		</tr>
		<ssc:insert attribute="formGuts" />
	</table>
	<logic:equal name="editPermission" value="true">
		<div class="adminAddEditButton">
			<input type="submit" class="button" name="editProductSubmit" value="<bean:message key="administrator.saveSettings" bundle="/administrator/administrator"/>" />
		</div>
	</logic:equal>
</html:form>
<logic:equal name="editPermission" value="true">
	<form name="discountDeleteForm" class="adminDeleteButton" action="<c:out value="${settings.map.administratorURL}"/>/DiscountDelete.do" method="post">
		<input type="hidden" name="discountID" value="<bean:write name="discountAddEditForm" property="discountID" />" />
		<input type="hidden" name="productID" value="<bean:write name="discountAddEditForm" property="productID" />" />
		<input type="hidden" name="skuID" value="<bean:write name="discountAddEditForm" property="skuID" />" />
		<input type="hidden" name="code" value="<bean:write name="discountAddEditForm" property="code" />" />
		<input type="submit" onclick="return confirm('<bean:message key="administrator.confirmDelete" bundle="/administrator/administrator"/>')" class="button" name="deleteProductSubmit"
			value="<bean:message key="administrator.delete" bundle="/administrator/administrator"/>" />
	</form>
</logic:equal>

<!-- End discountEditForm.jsp -->
