<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<div id="productSettingsScreen">

	<div class="instructions">
		<p>Use this form to include content such as videos on the product page that will be placed in an iframe. The content will appear as a link under the main product image.
		Clicking the link will activate the lightbox popup and the iframe will appear inside the scrollable lightbox along with the main product image and any 'Additional Images'. 
		See below for instructions on how to use this form to include YouTube videos.</p>
	</div>

	<br/>

	<!-- Edit Form -->
		<table class="tabDetails settingAddForm">
			<tr>
				<th>Title (optional)</th>
				<th>IFrame/Video URL (required)</th>
				<th>Thumbnail (YouTube)</th>
				<th>View</th>
				<th></th>
			</tr>
			<c:set var="thisClass" scope="request" value="altRow"/>
			<logic:iterate name="productSettings" id="settingRow" indexId="index">
				<logic:equal name="settingRow" property="type" value="VIDEO">
					<bean:define id="settingExists" value="true" toScope="request"/>
					<bean:define id="setting" name="settingRow" toScope="request"/>
					<c:choose><c:when test="${thisClass eq 'altRow'}"><c:set var="thisClass" scope="request" value=""/></c:when><c:otherwise><c:set var="thisClass" scope="request" value="altRow"/></c:otherwise></c:choose>

					<tr class="<c:out value="${requestScope.thisClass}"/>">
						<td class="setting">
							<bean:write name="setting" property="name"/>
						</td>
						<td class="value">
							<bean:write name="setting" property="mediumValue"/>
						</td>
						<td class="value">
							<img src="http://img.youtube.com/vi/${fn:split(setting.mediumValue, '/')[fn:length(fn:split(setting.mediumValue, '/')) - 1]}/default.jpg" />
						</td>
						<td class="value">
							<a href="<bean:write name="setting" property="mediumValue"/>" target="_new">View</a>
						</td>
						<c:if test="${!empty productSettingsFormVideos}">
							<td class="value">
								 <a href="<c:out value="${settings.map.administratorURL}"/>/ProductSettingDeleteVideos.do?productID=<bean:write name="productSettingsFormVideos" property="productID"/>&productSettingID=<bean:write name="setting" property="productSettingID"/>"><bean:message key="administrator.delete" bundle="/administrator/administrator"/></a>
							</td>
						</c:if>
					</tr>

				</logic:equal>
			</logic:iterate>
			<logic:notPresent name="settingExists">
				<tr><td>No iframes/videos defined.</td></tr>
			</logic:notPresent>
		</table>
		<logic:present name="settingExists">
			<br/><br/>
		</logic:present>
	
	<!-- Add Form -->
	<h2 class="administratorHeader">Add an IFrame/Video for <em><c:out value="${product.name}"/> (<c:out value="${product.code}"/>)</em></h2>
	<html:form action="/ProductSettingAddVideos" method="post">
		<html:hidden name="productSettingsFormVideos" property="productID"/>
		<html:hidden name="productSettingsFormVideos" property="type" value="VIDEO"/>
		<html:hidden name="productSettingAddEditForm" property="valueType" value="mediumValue"/>
		<% pageContext.setAttribute("randomUUID", java.util.UUID.randomUUID()); %>
		<html:hidden name="productSettingAddEditForm" property="code" value="video-${randomUUID}"/>
		<table class="tabDetails settingAddForm">
			<tr>
				<th>Title (optional)</th>
				<th>IFrame/Video URL (required)</th>
			</tr>
			<tr>
				<td><html:text name="productSettingAddEditForm" property="name"/></td>
				<td><html:text name="productSettingAddEditForm" property="value"/></td>
			</tr>
		</table>
		<br/>
		<input type="submit" class="button" name="addProductSettingSubmit" value="<bean:message key="administrator.addSetting" bundle="/administrator/administrator"/>"/>
	</html:form>

</div>

<br/><br/>

<div class="helpLinks">
	<h3 class="administratorSubhead">How Do I ... </h3>
	<ul class="helpLinkList inline">
		<li class="inline">
			<ssc:help type="inline" topic="How Do I ..." title="Use this form to include a YouTube video for my product">
				<p>To include a YouTube video for your product, simply enter the YouTube share link URL into the form above, and add an optional title. 
				Here's how to find the <a target="_new" href="https://www.screencast.com/t/bM4Fa7el">YouTube Share Link URL</a></p>
			</ssc:help>
		</li>
	</ul>
</div>
