<%@ include file="/WEB-INF/layouts/default-html5/core/tagDefinitions.jsp" %><%@ include file="/WEB-INF/layouts/default-html5/core/commonVariables.jsp" %>

<!-- Start shippingFormGuts.jsp -->

<logic:notEmpty name="shippingRuleAddEditForm" property="parentName">
	<html:hidden name="shippingRuleAddEditForm" property="parentName" />
</logic:notEmpty>
<html:hidden name="shippingRuleAddEditForm" property="skuID" />

<tr>
	<td class="genericLabel">
		Shipping Rule Code:
	</td>
	<td>
		<html:text maxlength="128" name="shippingRuleAddEditForm" property="code" />
	</td>
</tr>
<tr>
	<td>
		&nbsp;
	</td>
	<td class="genericData">
		A unique code for this shipping rule, used by the system to identify it. (No spaces, commas, or pipe characters.)
		<br />
		<br />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Rule Name:
	</td>
	<td>
		<html:text maxlength="255" name="shippingRuleAddEditForm" property="name" />
	</td>
</tr>
<tr>
	<td>
		&nbsp;
	</td>
	<td class="genericData">
		The name of this shipping rule as it appears to customers.
		<br />
		<br />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Active?:
	</td>
	<td class="genericData">
		<html:radio name="shippingRuleAddEditForm" property="isActive" value="true" />
		yes &nbsp;&nbsp;
		<html:radio name="shippingRuleAddEditForm" property="isActive" value="false" />
		no
	</td>
</tr>
<tr>
	<td>
		&nbsp;
	</td>
	<td class="genericData">
		If false, this shipping rule will not appear to customers and will not figure into processing.
		<br />
		<br />
	</td>
</tr>
<tr>
	<td class="genericLabel" valign="top">
		Type of Shipping Rule:
	</td>
	<td>
		<logic:match name="isAddOrEdit" value="edit">
			<html:hidden name="shippingRuleAddEditForm" property="ruleType" />
			<logic:match name="shippingRuleAddEditForm" property="ruleType" value="[package]">
				Package Size or Weight Rule
			</logic:match>
			<logic:match name="shippingRuleAddEditForm" property="ruleType" value="[discount]">
				Shipping Discount Rule
			</logic:match>
			<logic:match name="shippingRuleAddEditForm" property="ruleType" value="[methodlimit]">
				Method Limit by SKUs Rule
			</logic:match>
			<logic:match name="shippingRuleAddEditForm" property="ruleType" value="[limitByLocation]">
				Method Limit by Location Rule
			</logic:match>
		</logic:match>
		<logic:match name="isAddOrEdit" value="add">
		<table cellpadding="2">
			<tr>
				<td>
					<html:radio name="shippingRuleAddEditForm" property="ruleType" value="[package]" />
				</td>
				<td>
					Package Size or Weight Rule: Select this to define package weights and dimensions based on sku quantity
				</td>
			</tr>
			<tr>
				<td>
					<html:radio name="shippingRuleAddEditForm" property="ruleType" value="[discount]" />
				</td>
				<td>
					Shipping Discount Rule: Select this to define discounts on shipping or free shipping based on sku quantity
				</td>
			</tr>
			<tr>
				<td>
					<html:radio name="shippingRuleAddEditForm" property="ruleType" value="[methodlimit]" />
				</td>
				<td>
					Method Limit Rule: Select this to define only which shipping methods are allowed and dissallowed based on sku quantity.
					(Method limits may also be made with the other rule types.)
				</td>
			</tr>
			<tr>
				<td>
					<html:radio name="shippingRuleAddEditForm" property="ruleType" value="[limitByLocation]" />
				</td>
				<td>
					Method Limit by Location Rule: Select this to define which shipping methods are allowed and dissallowed based on the customer's delivery location.
					(Method limits may also be made with the other rule types.)
				</td>
			</tr>
		</table>
		</logic:match>
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Rule Description:
	</td>
	<td>
		<html:textarea cols="50" rows="5" name="shippingRuleAddEditForm" property="description" />
	</td>
</tr>
<tr>
	<td>
		&nbsp;
	</td>
	<td class="genericData">
		A description for this shipping rule.
		<br />
		<br />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Extra 1:
	</td>
	<td>
		<html:text maxlength="255" name="shippingRuleAddEditForm" property="extra1" />
	</td>
</tr>
<tr>
	<td>
		&nbsp;
	</td>
	<td class="genericData">
		Any extra, or custom information associated with this shipping rule.
		<br />
		<br />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Extra 2:
	</td>
	<td>
		<html:text maxlength="255" name="shippingRuleAddEditForm" property="extra2" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Extra 3:
	</td>
	<td>
		<html:text maxlength="255" name="shippingRuleAddEditForm" property="extra3" />
	</td>
</tr>
<tr>
	<td class="genericLabel">
		Shipping Rule Order:
	</td>
	<td>
		<html:text size="5" maxlength="10" name="shippingRuleAddEditForm" property="ruleOrder" />
	</td>
</tr>
<tr>
	<td>
		&nbsp;
	</td>
	<td class="genericData">
		This field determines which rules are processed when they are applied to a customer's order. 
		If more than one rule applies for a given order item, only the one with the lowest order value is applied.
		<br />
		<br />
	</td>
</tr>
<!-- End shippingRuleFormGuts.jsp -->
